{"openapi":"3.0.1","info":{"title":"WorkflowMax by BlueRock - API V1","description":"<p><strong>Important: API V1 is scheduled for retirement on 15 June 2027.</strong> After this date, V1 endpoints will no longer be available. Please migrate to <a href=\"https://api-docs.workflowmax.com/overview\">API V2</a> ahead of the cut-off.</p>\n<p>The WorkflowMax by BlueRock API is organised around RESTful principles - each resource has a unique URI and HTTP verbs are used to specify the action to perform on that resource.</p>\n<p>In order to write or modify a client application for WorkflowMax, you should use a full-featured HTTP client library that supports the HTTP verbs: GET, POST, PUT and DELETE.</p>   \n<p>There are limits to the number of API calls that your application can make against a particular tenant - these are:\n<ul><li>Concurrent Limit: 5 calls in progress at one time</li>\n  <li>Minute Limit: 60 calls per minute</li>\n  <li>Daily Limit: 5000 calls per day</li>\n</uL></p>\n<p>Please visit <a href=\"https://workflowmaxbybluerock.zendesk.com/hc/en-us/articles/28754786654233-API-authentication\">this article</a> for details on how to authenticate.</p>","version":"0.1"},"servers":[{"url":"https://api.workflowmax2.com/"}],"description":"Prod API Server","tags":[{"name":"Category","description":"Category methods"},{"name":"Client","description":"Client methods"},{"name":"Custom Field","description":"Custom field methods"},{"name":"Client Group","description":"Client group methods"},{"name":"Cost","description":"Cost methods"},{"name":"Invoice","description":"Invoice methods"},{"name":"Job","description":"Job methods"},{"name":"Lead","description":"Lead methods"},{"name":"Purchase Order","description":"Purchase Order methods"},{"name":"Quote","description":"Quote methods"},{"name":"Staff","description":"Staff methods"},{"name":"Task","description":"Task methods"},{"name":"Supplier","description":"Supplier methods"},{"name":"Template","description":"Template methods"},{"name":"Time","description":"Time methods"}],"paths":{"/category.api/list":{"get":{"tags":["Category"],"summary":"Return a list of all categories","operationId":"readCategories","responses":{"200":{"description":"success","content":{"application/xml":{"schema":{"$ref":"#/components/schemas/category.api-list"}}}}}}},"/client.api/add":{"post":{"tags":["Client"],"summary":"Add a client and contacts","operationId":"createClient","requestBody":{"content":{"application/xml":{"schema":{"$ref":"#/components/schemas/NewClient"}}},"required":true},"responses":{"200":{"description":"success","content":{"application/xml":{"schema":{"$ref":"#/components/schemas/client.api-get"}}}}}}},"/client.api/addrelationship":{"post":{"tags":["Client"],"summary":"Add a relationship between clients (Practice Manager Only)","operationId":"createClientRelationship","requestBody":{"content":{"application/xml":{"schema":{"$ref":"#/components/schemas/client.api-addrelationship"}}},"required":true},"responses":{"200":{"description":"success","content":{"application/xml":{"schema":{"type":"object","x-content-type":"application/xml"}}}}}}},"/client.api/archive":{"put":{"tags":["Client"],"summary":"Archive a client","operationId":"archiveClient","requestBody":{"content":{"application/xml":{"schema":{"$ref":"#/components/schemas/ArchiveClient"}}},"required":true},"responses":{"200":{"description":"success","content":{"application/xml":{"schema":{"$ref":"#/components/schemas/client.api-get"}}}}}}},"/client.api/contact":{"post":{"tags":["Client"],"summary":"Add a contact to a client","operationId":"createClientContact","requestBody":{"content":{"application/xml":{"schema":{"$ref":"#/components/schemas/client.api-contact"}}},"required":true},"responses":{"200":{"description":"success","content":{"application/xml":{"schema":{"type":"object","x-content-type":"application/xml"}}}}}}},"/client.api/contact/{identifier}/customfield":{"get":{"tags":["Custom Field"],"summary":"Retrieve custom field data for a specific client, contact, supplier, supplier contact, job or lead","operationId":"readClientCustomFields","parameters":[{"name":"identifier","in":"path","description":"Identifier of the given record type","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"success","content":{"application/xml":{"schema":{"$ref":"#/components/schemas/customapis-customfield"}}}}}},"put":{"tags":["Custom Field"],"summary":"Update custom field data for a specific client, contact, supplier, supplier contact, job or lead","operationId":"updateClientCustomFields","parameters":[{"name":"identifier","in":"path","description":"Identifier of the given record type","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/xml":{"schema":{"$ref":"#/components/schemas/customapis-customfield-updaterequest"}}},"required":true},"responses":{"200":{"description":"success","content":{"application/xml":{"schema":{"$ref":"#/components/schemas/customapis-customfield-update"}}}}}}},"/client.api/contact/{uuid}":{"get":{"tags":["Client"],"summary":"Detailed information for a specific contact","operationId":"readClientContact","parameters":[{"name":"uuid","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"success","content":{"application/xml":{"schema":{"$ref":"#/components/schemas/client.api-contact-uuid"}}}}}},"put":{"tags":["Client"],"summary":"Update a contacts details","operationId":"updateClientContact","parameters":[{"name":"uuid","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/xml":{"schema":{"$ref":"#/components/schemas/Update_ClientContact"}}},"required":true},"responses":{"200":{"description":"success","content":{"application/xml":{"schema":{"$ref":"#/components/schemas/client.api-contact-uuid"}}}}}},"delete":{"tags":["Client"],"summary":"Delete a contact","operationId":"deleteClientContact","parameters":[{"name":"uuid","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"success","content":{}}}}},"/client.api/delete":{"post":{"tags":["Client"],"summary":"Delete a client","operationId":"deleteClient","requestBody":{"content":{"application/xml":{"schema":{"$ref":"#/components/schemas/ArchiveClient"}}},"required":true},"responses":{"200":{"description":"success","content":{"application/xml":{"schema":{"$ref":"#/components/schemas/client.api-get"}}}}}}},"/client.api/deleterelationship":{"post":{"tags":["Client"],"summary":"Delete the relationship between clients (Practice Manager Only)","operationId":"deleteClientRelationship","requestBody":{"content":{"application/xml":{"schema":{"$ref":"#/components/schemas/client.api-deleterelationship"}}},"required":true},"responses":{"200":{"description":"success","content":{"application/xml":{"schema":{"type":"object","x-content-type":"application/xml"}}}}}}},"/client.api/document":{"post":{"tags":["Client"],"summary":"Add a document to a client","operationId":"createClientDocument","requestBody":{"content":{"application/xml":{"schema":{"$ref":"#/components/schemas/client.api-newdocument"}}},"required":true},"responses":{"200":{"description":"success","content":{"application/xml":{"schema":{"type":"object","x-content-type":"application/xml"}}}}}}},"/client.api/documents/{uuid}":{"get":{"tags":["Client"],"summary":"Return a list of documents for a client","operationId":"readClientDocument","parameters":[{"name":"uuid","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"success","content":{"application/xml":{"schema":{"$ref":"#/components/schemas/client.api-documents"}}}}}}},"/client.api/get/{UUID}":{"get":{"tags":["Client"],"summary":"Returns a specific client","operationId":"readClient","parameters":[{"name":"UUID","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"success","content":{"application/xml":{"schema":{"$ref":"#/components/schemas/client.api-get"}}}}}}},"/client.api/get/{identifier}/customfield":{"get":{"tags":["Custom Field"],"summary":"Retrieve custom field data for a specific client, contact, supplier, supplier contact, job or lead","operationId":"readClientContactCustomFields","parameters":[{"name":"identifier","in":"path","description":"Identifier of the given record type","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"success","content":{"application/xml":{"schema":{"$ref":"#/components/schemas/customapis-customfield"}}}}}}},"/client.api/list":{"get":{"tags":["Client"],"summary":"Returns a list of all clients","operationId":"readClients","parameters":[{"name":"detailed","in":"query","schema":{"type":"string","enum":["true","false"]}},{"name":"modifiedsince","in":"query","schema":{"type":"string"},"example":"2012-06-05T06:00:00.000Z"},{"name":"page","in":"query","description":"The current page. Defaults to 1 if the value is smaller than 1 or if the parameter is not present but pagesize parameter is present","schema":{"type":"number"}},{"name":"pagesize","in":"query","description":"Number of records per page. Defaults to 100 if pagesize is not provided","schema":{"type":"number"}}],"responses":{"200":{"description":"success","content":{"application/xml":{"schema":{"$ref":"#/components/schemas/client.api-list"}}}}}}},"/client.api/search":{"get":{"tags":["Client"],"summary":"Returns a list of all clients matching search criteria","operationId":"searchClients","parameters":[{"name":"detailed","in":"query","schema":{"type":"string","enum":["true","false"]}},{"name":"query","in":"query","required":true,"schema":{"type":"string"},"example":"XYZ"}],"responses":{"200":{"description":"success","content":{"application/xml":{"schema":{"$ref":"#/components/schemas/client.api-search"}}}}}}},"/client.api/update":{"put":{"tags":["Client"],"summary":"Update a clients details","operationId":"updateClient","requestBody":{"content":{"application/xml":{"schema":{"$ref":"#/components/schemas/UpdateClient"}}},"required":true},"responses":{"200":{"description":"success","content":{"application/xml":{"schema":{"$ref":"#/components/schemas/client.api-get"}}}}}}},"/client.api/update/{identifier}/customfield":{"put":{"tags":["Custom Field"],"summary":"Update custom field data for a specific client, contact, supplier, supplier contact, job or lead","operationId":"updateClientCustomField","parameters":[{"name":"identifier","in":"path","description":"Identifier of the given record type","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/xml":{"schema":{"$ref":"#/components/schemas/customapis-customfield-updaterequest"}}},"required":true},"responses":{"200":{"description":"success","content":{"application/xml":{"schema":{"$ref":"#/components/schemas/customapis-customfield-update"}}}}}}},"/client.api/updaterelationship":{"post":{"tags":["Client"],"summary":"Update the relationship between clients (Practice Manager Only)","operationId":"updateClientRelationship","requestBody":{"content":{"application/xml":{"schema":{"$ref":"#/components/schemas/client.api-updaterelationship"}}},"required":true},"responses":{"200":{"description":"success","content":{"application/xml":{"schema":{"type":"object","x-content-type":"application/xml"}}}}}}},"/clientgroup.api/add":{"post":{"tags":["Client Group"],"summary":"Add a client group","operationId":"createClientGroup","requestBody":{"content":{"application/xml":{"schema":{"$ref":"#/components/schemas/clientgroup.api-add"}}},"required":true},"responses":{"200":{"description":"success","content":{"application/xml":{"schema":{"type":"object","x-content-type":"application/xml"}}}}}}},"/clientgroup.api/delete":{"post":{"tags":["Client Group"],"summary":"Delete a client group","operationId":"deleteClientGroup","requestBody":{"content":{"application/xml":{"schema":{"$ref":"#/components/schemas/clientgroup.api-delete"}}},"required":true},"responses":{"200":{"description":"success","content":{"application/xml":{"schema":{"type":"object","x-content-type":"application/xml"}}}}}}},"/clientgroup.api/get/{uuid}":{"get":{"tags":["Client Group"],"summary":"Detailed information for a specific client group","operationId":"readClientGroup","parameters":[{"name":"uuid","in":"path","description":"Identifier of the client group","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"success","content":{"application/xml":{"schema":{"$ref":"#/components/schemas/clientgroup.api-get-uuid"}}}}}}},"/clientgroup.api/list":{"get":{"tags":["Client Group"],"summary":"Return a list of all client groups","operationId":"readClientGroups","responses":{"200":{"description":"success","content":{"application/xml":{"schema":{"$ref":"#/components/schemas/clientgroups.api-list"}}}}}}},"/clientgroup.api/members":{"put":{"tags":["Client Group"],"summary":"Manage the members of a client group","operationId":"readClientGroupMembers","requestBody":{"content":{"application/xml":{"schema":{"$ref":"#/components/schemas/clientgroup.api-manage"}}},"required":true},"responses":{"200":{"description":"success","content":{"application/xml":{"schema":{"$ref":"#/components/schemas/clientgroup.api-get-uuid"}}}}}}},"/cost.api/add":{"post":{"tags":["Cost"],"summary":"Add a cost","operationId":"createCost","requestBody":{"content":{"application/xml":{"schema":{"$ref":"#/components/schemas/cost.api-add"}}},"required":true},"responses":{"200":{"description":"success","content":{"application/xml":{"schema":{"type":"object","x-content-type":"application/xml"}}}}}}},"/cost.api/delete":{"post":{"tags":["Cost"],"summary":"Delete a cost","operationId":"deleteCost","requestBody":{"content":{"application/xml":{"schema":{"$ref":"#/components/schemas/cost.api-delete"}}},"required":true},"responses":{"200":{"description":"success","content":{"application/xml":{"schema":{"type":"object","x-content-type":"application/xml"}}}}}}},"/cost.api/deleteall":{"post":{"tags":["Cost"],"summary":"Delete all costs","operationId":"deleteCosts","requestBody":{"content":{"application/xml":{"schema":{"$ref":"#/components/schemas/cost.api-deleteall"}}},"required":true},"responses":{"200":{"description":"success","content":{"application/xml":{"schema":{"type":"object","x-content-type":"application/xml"}}}}}}},"/cost.api/get/{uuid}":{"get":{"tags":["Cost"],"description":"Detailed information for a specific cost","operationId":"readCost","parameters":[{"name":"uuid","in":"path","description":"Identifier of the cost","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"success","content":{"application/xml":{"schema":{"$ref":"#/components/schemas/cost.api-get-uuid"}}}}}}},"/cost.api/list":{"get":{"tags":["Cost"],"summary":"Return a list of all costs","operationId":"readCosts","parameters":[{"name":"page","in":"query","schema":{"type":"number"}}],"responses":{"200":{"description":"success","content":{"application/xml":{"schema":{"$ref":"#/components/schemas/cost.api-list"}}}}}}},"/cost.api/update":{"put":{"tags":["Cost"],"summary":"Update a cost","operationId":"updateCost","requestBody":{"content":{"application/xml":{"schema":{"$ref":"#/components/schemas/cost.api-update"}}},"required":true},"responses":{"200":{"description":"success","content":{"application/xml":{"schema":{"type":"object","x-content-type":"application/xml"}}}}}}},"/customfield.api/definition":{"get":{"tags":["Custom Field"],"summary":"Return a list of all the custom fields","operationId":"readCustomFields","responses":{"200":{"description":"success","content":{"application/xml":{"schema":{"$ref":"#/components/schemas/customfield.api-definition"}}}}}}},"/invoice.api/current":{"get":{"tags":["Invoice"],"summary":"Return a list of current invoices","operationId":"readCurrentInvoices","responses":{"200":{"description":"success","content":{"application/xml":{"schema":{"$ref":"#/components/schemas/invoice.api-current"}}}}}}},"/invoice.api/draft":{"get":{"tags":["Invoice"],"summary":"Returns a list of draft invoices","operationId":"readDraftInvoices","parameters":[{"name":"detailed","in":"query","schema":{"type":"string","enum":["true","false"]}}],"responses":{"200":{"description":"success","content":{"application/xml":{"schema":{"$ref":"#/components/schemas/invoice.api-draft"}}}}}}},"/invoice.api/get/{invoice_number}":{"get":{"tags":["Invoice"],"summary":"Detailed information for a specific invoice","operationId":"readInvoice","parameters":[{"name":"invoice_number","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"success","content":{"application/xml":{"schema":{"$ref":"#/components/schemas/invoice.api-get"}}}}}}},"/invoice.api/job/{job_number}":{"get":{"tags":["Invoice"],"summary":"Returns a list of invoices for a specific job","description":"Note that the response payload is assumed as it is not documented.","operationId":"readJobInvoices","parameters":[{"name":"job_number","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"success","content":{"application/xml":{"schema":{"$ref":"#/components/schemas/invoice.api-current"}}}}}}},"/invoice.api/list":{"get":{"tags":["Invoice"],"summary":"Return a list of current and archived invoices","operationId":"readInvoices","parameters":[{"name":"from","in":"query","description":"Return invoices created on or after this date - YYYYMMDD","required":true,"schema":{"type":"string"}},{"name":"to","in":"query","description":"Return invoices created on or before this date - YYYYMMDD","required":true,"schema":{"type":"string"}},{"name":"detailed","in":"query","description":"Return detailed information on invoice","schema":{"type":"string","enum":["true","false"]}}],"responses":{"200":{"description":"success","content":{"application/xml":{"schema":{"$ref":"#/components/schemas/invoice.api-current"}}}}}}},"/invoice.api/payments/{invoice_number}":{"get":{"tags":["Invoice"],"summary":"Return a list of payments for an invoice","operationId":"readInvoicePayments","parameters":[{"name":"invoice_number","in":"path","description":"The invoice number to query","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"success","content":{"application/xml":{"schema":{"$ref":"#/components/schemas/invoice.api-payments-invoice_number"}}}}}}},"/job.api/add":{"post":{"tags":["Job"],"summary":"Add a job","operationId":"createJob","requestBody":{"content":{"application/xml":{"schema":{"$ref":"#/components/schemas/job.api-add-request"}}},"required":true},"responses":{"200":{"description":"success","content":{"application/xml":{"schema":{"$ref":"#/components/schemas/jobs.api-get-job_number"}}}}}}},"/job.api/applytemplate":{"post":{"tags":["Job"],"summary":"Apply an additional template to a job","operationId":"applyTemplate","requestBody":{"content":{"application/xml":{"schema":{"$ref":"#/components/schemas/job.api-applytemplate"}}},"required":true},"responses":{"200":{"description":"success - Note, response payload is not defined","content":{}}}}},"/job.api/assign":{"put":{"tags":["Job"],"summary":"Assign staff to a job","operationId":"assignStaff","requestBody":{"content":{"application/xml":{"schema":{"$ref":"#/components/schemas/job.api-assign-request"}}},"required":true},"responses":{"200":{"description":"success - Note, response payload is not defined","content":{}}}}},"/job.api/client/{uuid}":{"get":{"tags":["Job"],"operationId":"readClientJobs","parameters":[{"name":"uuid","in":"path","description":"The UUID of the client to query","required":true,"schema":{"type":"string"}},{"name":"modifiedsinceutc","in":"query","description":"Only return jobs modified after the given date or if not modified, created after the given date. Formatted as yyyy-MM-ddT00:00:00","schema":{"type":"string"}},{"name":"page","in":"query","description":"The current page. Defaults to 1 if the value is smaller than 1 or if the parameter is not present but pagesize parameter is present","schema":{"type":"number"}},{"name":"pagesize","in":"query","description":"Number of records per page. Defaults to 1000 if page parameter is present but pagesize is not provided","schema":{"type":"number"}}],"responses":{"200":{"description":"success - Note response payload requires review","content":{"application/xml":{"schema":{"$ref":"#/components/schemas/jobs.api-current"}}}}}}},"/job.api/cost":{"put":{"tags":["Job"],"summary":"Update a cost on a job","operationId":"updateJobCost","requestBody":{"content":{"application/xml":{"schema":{"$ref":"#/components/schemas/job.api-cost-put-request"}}},"required":true},"responses":{"200":{"description":"success - Note, response payload is not defined","content":{}}}},"post":{"tags":["Job"],"summary":"Add a cost to a job","operationId":"createJobCost","requestBody":{"content":{"application/xml":{"schema":{"$ref":"#/components/schemas/job.api-cost-post-request"}}},"required":true},"responses":{"200":{"description":"success - Note, response payload is not defined","content":{}}}}},"/job.api/cost/{identifier}/customfield":{"get":{"tags":["Custom Field"],"summary":"Retrieve custom field data for a specific client, contact, supplier, supplier contact, job or lead","operationId":"readCostCustomFields","parameters":[{"name":"identifier","in":"path","description":"Identifier of the given record type","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"success","content":{"application/xml":{"schema":{"$ref":"#/components/schemas/customapis-customfield"}}}}}},"put":{"tags":["Custom Field"],"summary":"Update custom field data for a specific client, contact, supplier, supplier contact, job or lead","operationId":"updateCostCustomField","parameters":[{"name":"identifier","in":"path","description":"Identifier of the given record type","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/xml":{"schema":{"$ref":"#/components/schemas/customapis-customfield-updaterequest"}}},"required":true},"responses":{"200":{"description":"success","content":{"application/xml":{"schema":{"$ref":"#/components/schemas/customapis-customfield-update"}}}}}}},"/job.api/costs/{job_number}":{"get":{"tags":["Job"],"summary":"Return a list of costs for a job","operationId":"readJobCosts","parameters":[{"name":"job_number","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"success","content":{"application/xml":{"schema":{"$ref":"#/components/schemas/job.api-costs-job_number"}}}}}}},"/job.api/createestimate/{job_number}":{"post":{"tags":["Job"],"summary":"Create an estimate based on the job","operationId":"createEstimate","parameters":[{"name":"job_number","in":"path","description":"The job number to create an estimate from","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"success","content":{"application/xml":{"schema":{"$ref":"#/components/schemas/job.api-createqoute-job_number"}}}}}}},"/job.api/createquote/{job_number}":{"post":{"tags":["Job"],"summary":"Create a quote based on the job","operationId":"createQuote","parameters":[{"name":"job_number","in":"path","description":"The job number to create a quote from","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"success","content":{"application/xml":{"schema":{"$ref":"#/components/schemas/job.api-createqoute-job_number"}}}}}}},"/job.api/current":{"get":{"tags":["Job"],"summary":"Return a list of current jobs","operationId":"readCurrentJobs","parameters":[{"name":"detailed","in":"query","description":"Return detailed information on job","schema":{"type":"string","enum":["true","false"]}},{"name":"modifiedsinceutc","in":"query","description":"Only return jobs modified after the given date or if not modified, created after the given date. Formatted as yyyy-MM-ddT00:00:00","schema":{"type":"string"}},{"name":"page","in":"query","description":"The current page. Defaults to 1 if the value is smaller than 1 or if the parameter is not present but pagesize parameter is present","schema":{"type":"number"}},{"name":"pagesize","in":"query","description":"Number of records per page. Defaults to 1000 if page parameter is present but pagesize is not provided","schema":{"type":"number"}}],"responses":{"200":{"description":"success","content":{"application/xml":{"schema":{"$ref":"#/components/schemas/jobs.api-current"}}}}}}},"/job.api/delete":{"post":{"tags":["Job"],"summary":"Delete a job","operationId":"deleteJob","requestBody":{"content":{"application/xml":{"schema":{"$ref":"#/components/schemas/job.api-delete"}}},"required":true},"responses":{"200":{"content":{}}}}},"/job.api/document":{"post":{"tags":["Job"],"summary":"Add a document to a job","operationId":"createDocument","requestBody":{"content":{"application/xml":{"schema":{"$ref":"#/components/schemas/job.api-document"}}},"required":true},"responses":{"200":{"content":{}}}}},"/job.api/documents/{job_number}":{"get":{"tags":["Job"],"summary":"Return a list of documents for a job","operationId":"readJobDocuments","parameters":[{"name":"job_number","in":"path","description":"The job number to retrieve documents for","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"success","content":{"application/xml":{"schema":{"$ref":"#/components/schemas/job.api-documents"}}}}}}},"/job.api/get/{identifier}/customfield":{"get":{"tags":["Custom Field"],"summary":"Retrieve custom field data for a specific client, contact, supplier, supplier contact, job or lead","operationId":"readJobCustomFields","parameters":[{"name":"identifier","in":"path","description":"Identifier of the given record type","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"success","content":{"application/xml":{"schema":{"$ref":"#/components/schemas/customapis-customfield"}}}}}}},"/job.api/get/{job_number}":{"get":{"tags":["Job"],"summary":"Detailed information for a specific job","operationId":"readJob","parameters":[{"name":"job_number","in":"path","description":"The job number to search for","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"success","content":{"application/xml":{"schema":{"$ref":"#/components/schemas/jobs.api-get-job_number"}}}}}}},"/job.api/list":{"get":{"tags":["Job"],"summary":"Return a list of all jobs","operationId":"readJobs","parameters":[{"name":"detailed","in":"query","schema":{"type":"string","enum":["true","false"]}},{"name":"from","in":"query","description":"Return invoices created on or after this date - YYYYMMDD","required":true,"schema":{"type":"string"}},{"name":"to","in":"query","description":"Return invoices created on or before this date - YYYYMMDD","required":true,"schema":{"type":"string"}},{"name":"modifiedsinceutc","in":"query","description":"Only return jobs modified after the given date or if not modified, created after the given date. Formatted as yyyy-MM-ddT00:00:00","schema":{"type":"string"}},{"name":"page","in":"query","description":"The current page. Defaults to 1 if the value is smaller than 1 or if the parameter is not present but pagesize parameter is present","schema":{"type":"number"}},{"name":"pagesize","in":"query","description":"Number of records per page. Defaults to 1000 if page parameter is present but pagesize is not provided","schema":{"type":"number"}}],"responses":{"200":{"description":"success - Note response payload requires review","content":{"application/xml":{"schema":{"$ref":"#/components/schemas/jobs.api-current"}}}}}}},"/job.api/note":{"post":{"tags":["Job"],"summary":"Add a note to a job","operationId":"createNote","requestBody":{"content":{"application/xml":{"schema":{"$ref":"#/components/schemas/job.api-note-request"}}},"required":true},"responses":{"200":{"content":{}}}}},"/job.api/reordertasks":{"put":{"tags":["Job"],"operationId":"reorderTasks","requestBody":{"content":{"application/xml":{"schema":{"$ref":"#/components/schemas/job.api-reordertasks-request"}}},"required":true},"responses":{"200":{"content":{}}},"summary":"This endpoint has been deprecated."}},"/job.api/staff/{uuid}":{"get":{"tags":["Job"],"operationId":"readStaffJobs","parameters":[{"name":"uuid","in":"path","description":"The UUID of the staff number to query","required":true,"schema":{"type":"string"}},{"name":"modifiedsinceutc","in":"query","description":"Only return jobs modified after the given date or if not modified, created after the given date. Formatted as yyyy-MM-ddT00:00:00","schema":{"type":"string"}},{"name":"page","in":"query","description":"The current page. Defaults to 1 if the value is smaller than 1 or if the parameter is not present but pagesize parameter is present","schema":{"type":"number"}},{"name":"pagesize","in":"query","description":"Number of records per page. Defaults to 1000 if page parameter is present but pagesize is not provided","schema":{"type":"number"}}],"responses":{"200":{"content":{"application/xml":{"schema":{"$ref":"#/components/schemas/jobs.api-current"}}}}}}},"/job.api/state":{"put":{"tags":["Job"],"summary":"Update the state of a specific job","operationId":"updateState","requestBody":{"content":{"application/xml":{"schema":{"$ref":"#/components/schemas/job.api-state"}}},"required":true},"responses":{"200":{"description":"success - response payload not documented","content":{}}}}},"/job.api/task":{"put":{"tags":["Job"],"summary":"Update a task on a job","operationId":"updateTask","requestBody":{"content":{"application/xml":{"schema":{"$ref":"#/components/schemas/job.api-task-update-request"}}},"required":true},"responses":{"200":{"content":{}}}},"post":{"tags":["Job"],"summary":"Add a task to a job","operationId":"createTask","requestBody":{"content":{"application/xml":{"schema":{"$ref":"#/components/schemas/job.api-task-add-request"}}},"required":true},"responses":{"200":{"content":{}}}}},"/job.api/task/{identifier}/customfield":{"get":{"tags":["Custom Field"],"summary":"Retrieve custom field data for a specific client, contact, supplier, supplier contact, job or lead","operationId":"readTaskCustomFields","parameters":[{"name":"identifier","in":"path","description":"Identifier of the given record type","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"success","content":{"application/xml":{"schema":{"$ref":"#/components/schemas/customapis-customfield"}}}}}},"put":{"tags":["Custom Field"],"summary":"Update custom field data for a specific client, contact, supplier, supplier contact, job or lead","description":"success - Note response payload requires review","operationId":"updateTaskCustomField","parameters":[{"name":"identifier","in":"path","description":"Identifier of the given record type","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/xml":{"schema":{"$ref":"#/components/schemas/customapis-customfield-updaterequest"}}},"required":true},"responses":{"200":{"description":"success","content":{"application/xml":{"schema":{"$ref":"#/components/schemas/customapis-customfield-update"}}}}}}},"/job.api/tasks":{"get":{"tags":["Job"],"operationId":"readJobTasks","parameters":[{"name":"complete","in":"query","description":"Return jobs containing completed or uncompleted tasks only","schema":{"type":"string","enum":["true","false"]}},{"name":"page","in":"query","description":"The current page. Defaults to 1 if the value is smaller than 1 or if the parameter is not present but pagesize parameter is present","schema":{"type":"number"}},{"name":"pagesize","in":"query","description":"Number of records per page. Defaults to 1000 if page parameter is present but pagesize is not provided. Maximum value is 10000.","schema":{"type":"number"}}],"responses":{"200":{"content":{"application/xml":{"schema":{"$ref":"#/components/schemas/job.api-tasks"}}}}}}},"/job.api/update":{"put":{"tags":["Job"],"summary":"Update a job","operationId":"updateJob","requestBody":{"content":{"application/xml":{"schema":{"$ref":"#/components/schemas/job.api-update-request"}}},"required":true},"responses":{"200":{"description":"success","content":{"application/xml":{"schema":{"$ref":"#/components/schemas/jobs.api-get-job_number"}}}}}}},"/job.api/update/{identifier}/customfield":{"put":{"tags":["Custom Field"],"summary":"Update custom field data for a specific client, contact, supplier, supplier contact, job or lead","operationId":"updateJobCustomField","parameters":[{"name":"identifier","in":"path","description":"Identifier of the given record type","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/xml":{"schema":{"$ref":"#/components/schemas/customapis-customfield-updaterequest"}}},"required":true},"responses":{"200":{"description":"success","content":{"application/xml":{"schema":{"$ref":"#/components/schemas/customapis-customfield-update"}}}}}}},"/job.api/task/{uuid}/complete":{"put":{"tags":["Job"],"summary":"Complete a task on a job","operationId":"completeTask","parameters":[{"name":"uuid","in":"path","description":"The UUID of a task to mark as completed","required":true,"schema":{"type":"string"}}],"responses":{"200":{"content":{}}}}},"/job.api/task/{uuid}/reopen":{"put":{"tags":["Job"],"summary":"Re-open a task on a job","operationId":"reopenTask","parameters":[{"name":"uuid","in":"path","description":"The UUID of a task to re-open","required":true,"schema":{"type":"string"}}],"responses":{"200":{"content":{}}}}},"/lead.api/add":{"post":{"tags":["Lead"],"summary":"Add a lead","operationId":"createLead","requestBody":{"content":{"application/xml":{"schema":{"$ref":"#/components/schemas/lead.api-add"}}},"required":true},"responses":{"200":{"content":{}}}}},"/lead.api/categories":{"get":{"tags":["Lead"],"summary":"Return a list of lead categories","operationId":"readLeadCategories","responses":{"200":{"description":"success","content":{"application/xml":{"schema":{"$ref":"#/components/schemas/lead.api-categories"}}}}}}},"/lead.api/current":{"get":{"tags":["Lead"],"summary":"Returns a list of current leads","operationId":"readCurrentLeads","parameters":[{"name":"detailed","in":"query","description":"Return detailed information for a lead","schema":{"type":"string","enum":["false","true"]}}],"responses":{"200":{"description":"success","content":{"application/xml":{"schema":{"$ref":"#/components/schemas/lead.api-current"}}}}}}},"/lead.api/get/{identifier}/customfield":{"get":{"tags":["Custom Field"],"summary":"Retrieve custom field data for a specific client, contact, supplier, supplier contact, job or lead","operationId":"readLeadCustomFields","parameters":[{"name":"identifier","in":"path","description":"Identifier of the given record type","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"success","content":{"application/xml":{"schema":{"$ref":"#/components/schemas/customapis-customfield"}}}}}}},"/lead.api/get/{uuid}":{"get":{"tags":["Lead"],"summary":"Detailed information for a specific lead","operationId":"readLead","parameters":[{"name":"uuid","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"success","content":{"application/xml":{"schema":{"$ref":"#/components/schemas/lead.api-get-uuid"}}}}}}},"/lead.api/list":{"get":{"tags":["Lead"],"summary":"Return a list of all leads","operationId":"readLeads","parameters":[{"name":"from","in":"query","description":"Return leads created on or after this date - YYYYMMDD","required":true,"schema":{"type":"string"}},{"name":"to","in":"query","description":"Return leads created on or before this date - YYYYMMDD","required":true,"schema":{"type":"string"}},{"name":"detailed","in":"query","description":"Return detailed information for lead","schema":{"type":"string","enum":["false","true"]}}],"responses":{"200":{"description":"success","content":{"application/xml":{"schema":{"$ref":"#/components/schemas/lead.api-current"}}}}}}},"/lead.api/update/{identifier}/customfield":{"put":{"tags":["Custom Field"],"summary":"Update custom field data for a specific client, contact, supplier, supplier contact, job or lead","operationId":"updateCustomField","parameters":[{"name":"identifier","in":"path","description":"Identifier of the given record type","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/xml":{"schema":{"$ref":"#/components/schemas/customapis-customfield-updaterequest"}}},"required":true},"responses":{"200":{"description":"success","content":{"application/xml":{"schema":{"$ref":"#/components/schemas/customapis-customfield-update"}}}}}}},"/purchaseorder.api/add":{"post":{"tags":["Purchase Order"],"summary":"Add a purchase order","operationId":"createPurchaseOrder","requestBody":{"content":{"application/xml":{"schema":{"$ref":"#/components/schemas/purchaseorder.api-add-request"}}},"required":true},"responses":{"200":{"content":{"application/xml":{"schema":{"$ref":"#/components/schemas/purchaseorder.api-add-response"}}}}}}},"/purchaseorder.api/adddraft":{"post":{"tags":["Purchase Order"],"summary":"Add a draft purchase orders","operationId":"createDraftPurchaseOrder","requestBody":{"content":{"application/xml":{"schema":{"$ref":"#/components/schemas/purchaseorder.api-add-request"}}},"required":true},"responses":{"200":{"content":{"application/xml":{"schema":{"$ref":"#/components/schemas/purchaseorder.api-add-response"}}}}}}},"/purchaseorder.api/current":{"get":{"tags":["Purchase Order"],"summary":"Return a list of current purchase orders","operationId":"readCurrentPurchaseOrders","parameters":[{"name":"detailed","in":"query","description":"Return detailed information on purchase order","schema":{"type":"string","enum":["true","false"]}}],"responses":{"200":{"description":"success","content":{"application/xml":{"schema":{"$ref":"#/components/schemas/purchaseorder.api-current"}}}}}}},"/purchaseorder.api/draft":{"get":{"tags":["Purchase Order"],"summary":"Return a list of draft purchase orders","operationId":"readDraftPurchaseOrders","parameters":[{"name":"detailed","in":"query","description":"Return detailed information on purchase order","schema":{"type":"string","enum":["true","false"]}}],"responses":{"200":{"description":"success - Note response payload requires review","content":{"application/xml":{"schema":{"$ref":"#/components/schemas/purchaseorder.api-draft"}}}}}}},"/purchaseorder.api/get/{order_number}":{"get":{"tags":["Purchase Order"],"summary":"Detailed information for a specific purchase order","operationId":"readPurchaseOrder","parameters":[{"name":"order_number","in":"path","description":"The purchase order number to retrieve","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"success","content":{"application/xml":{"schema":{"$ref":"#/components/schemas/purchaseorder.api-get-order_number"}}}}}}},"/purchaseorder.api/job/{job_number}":{"get":{"tags":["Purchase Order"],"summary":"Returns a list of purchase orders for a specific job","operationId":"readJobPurchaseOrders","parameters":[{"name":"job_number","in":"path","description":"The jub number to retrieve purchase orders for","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"success","content":{"application/xml":{"schema":{"$ref":"#/components/schemas/purchaseorder.api-draft"}}}}}}},"/purchaseorder.api/list":{"get":{"tags":["Purchase Order"],"summary":"Return a list of current and archived purchase orders","operationId":"readPurchaseOrders","parameters":[{"name":"from","in":"query","description":"Return POs created on or after this date - YYYYMMDD","required":true,"schema":{"type":"string"}},{"name":"to","in":"query","description":"Return POs created on or before this date - YYYYMMDD","required":true,"schema":{"type":"string"}},{"name":"detailed","in":"query","description":"Return detailed information on purchase order","schema":{"type":"string","enum":["true","false"]}},{"name":"page","in":"query","description":"The current page. Defaults to 1 if the value is smaller than 1 or if the parameter is not present but pagesize parameter is present","schema":{"type":"number"}},{"name":"pagesize","in":"query","description":"Number of records per page. Defaults to 1000 if page parameter is present but pagesize is not provided","schema":{"type":"number"}}],"responses":{"200":{"content":{"application/xml":{"schema":{"$ref":"#/components/schemas/purchaseorder.api-draft"}}}}}}},"/quote.api/draft":{"get":{"tags":["Quote"],"summary":"Return a list of draft quotes","operationId":"readDraftQuotes","parameters":[{"name":"detailed","in":"query","description":"Return detailed information on a quote","schema":{"type":"string","enum":["false","true"]}}],"responses":{"200":{"description":"success","content":{"application/xml":{"schema":{"$ref":"#/components/schemas/quote.api-draft"}}}}}}},"/quote.api/current":{"get":{"tags":["Quote"],"summary":"Return a list of current quotes","operationId":"readCurrentQuotes","parameters":[{"name":"detailed","in":"query","description":"Return detailed information on a quote","schema":{"type":"string","enum":["false","true"]}}],"responses":{"200":{"description":"success","content":{"application/xml":{"schema":{"$ref":"#/components/schemas/quote.api-current"}}}}}}},"/quote.api/get/{quote_number_or_uuid}":{"get":{"tags":["Quote"],"summary":"Detailed information for a specific quote","operationId":"readQuote","parameters":[{"name":"quote_number_or_uuid","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"success","content":{"application/xml":{"schema":{"$ref":"#/components/schemas/quote.api-get-quote_number_or_uuid"}}}}}}},"/quote.api/list":{"get":{"tags":["Quote"],"summary":"Return a list of current and archived quotes","operationId":"readQuotes","parameters":[{"name":"from","in":"query","description":"Return leads created on or after this date - YYYYMMDD","required":true,"schema":{"type":"string"}},{"name":"to","in":"query","description":"Return leads created on or before this date - YYYYMMDD","required":true,"schema":{"type":"string"}},{"name":"detailed","in":"query","description":"Return detailed information on a quote","schema":{"type":"string","enum":["false","true"]}},{"name":"page","in":"query","description":"The current page. Defaults to 1 if the value is smaller than 1 or if the parameter is not present but pagesize parameter is present","schema":{"type":"number"}},{"name":"pagesize","in":"query","description":"Number of records per page. Defaults to 100 if page parameter is present but pagesize is not provided","schema":{"type":"number"}}],"responses":{"200":{"description":"success","content":{"application/xml":{"schema":{"$ref":"#/components/schemas/quote.api-current"}}}}}}},"/staff.api/add":{"post":{"tags":["Staff"],"summary":"This endpoint has been deprecated.","operationId":"createStaff","requestBody":{"content":{"application/xml":{"schema":{"$ref":"#/components/schemas/staff.api-add-request"}}},"required":true},"responses":{"200":{"description":"success","content":{"application/xml":{"schema":{"$ref":"#/components/schemas/staff.api-get-uuid"}}}}}}},"/staff.api/disable":{"post":{"tags":["Staff"],"operationId":"disableStaff","requestBody":{"content":{"application/xml":{"schema":{"$ref":"#/components/schemas/staff_api_disable_body"}}},"required":true},"responses":{"200":{"description":"success","content":{}}},"summary":"This endpoint has been deprecated."}},"/staff.api/enable":{"post":{"tags":["Staff"],"operationId":"enableStaff","requestBody":{"content":{"application/xml":{"schema":{"$ref":"#/components/schemas/staff_api_enable_body"}}},"required":true},"responses":{"200":{"description":"success","content":{}}},"summary":"This endpoint has been deprecated."}},"/staff.api/forgottenpassword":{"post":{"tags":["Staff"],"operationId":"resetPassword","requestBody":{"content":{"application/xml":{"schema":{"$ref":"#/components/schemas/staff_api_forgottenpassword_body"}}},"required":true},"responses":{"200":{"description":"success","content":{}}},"summary":"This endpoint has been deprecated."}},"/staff.api/list":{"get":{"tags":["Staff"],"summary":"Return a list of all staff members","operationId":"readStaffList","responses":{"200":{"description":"success","content":{"application/xml":{"schema":{"$ref":"#/components/schemas/staff.api-list"}}}}}}},"/staff.api/update":{"put":{"tags":["Staff"],"summary":"Update a staff member","operationId":"updateStaff","requestBody":{"content":{"application/xml":{"schema":{"$ref":"#/components/schemas/Staff"}}},"required":true},"responses":{"200":{"description":"success","content":{"application/xml":{"schema":{"$ref":"#/components/schemas/staff.api-get-uuid"}}}}}}},"/staff.api/{uuid}":{"get":{"tags":["Staff"],"summary":"Details for a specific staff member","operationId":"readStaff","parameters":[{"name":"uuid","in":"path","description":"The identifier of the staff member being queried","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"success","content":{"application/xml":{"schema":{"$ref":"#/components/schemas/staff.api-get-uuid"}}}}}}},"/supplier.api/add":{"post":{"tags":["Supplier"],"summary":"Add a supplier and contacts","operationId":"createSupplier","requestBody":{"content":{"application/xml":{"schema":{"$ref":"#/components/schemas/NewSupplier"}}},"required":true},"responses":{"200":{"description":"success","content":{"application/xml":{"schema":{"$ref":"#/components/schemas/supplier.api-get-uuid"}}}}}}},"/supplier.api/archive":{"put":{"tags":["Supplier"],"summary":"Archive a supplier","operationId":"archiveSupplier","requestBody":{"content":{"application/xml":{"schema":{"$ref":"#/components/schemas/SupplierArchiveDelete"}}},"required":true},"responses":{"200":{"description":"success","content":{"application/xml":{"schema":{"$ref":"#/components/schemas/supplier.api-get-uuid"}}}}}}},"/supplier.api/contact":{"post":{"tags":["Supplier"],"operationId":"createSupplierContact","requestBody":{"content":{"application/xml":{"schema":{"$ref":"#/components/schemas/supplier.api-contact-post"}}},"required":true},"responses":{"200":{"description":"success","content":{"application/xml":{"schema":{"$ref":"#/components/schemas/supplier.api-contact-uuid"}}}}}}},"/supplier.api/contact/{identifier}/customfield":{"get":{"tags":["Custom Field"],"summary":"Retrieve custom field data for a specific client, contact, supplier, supplier contact, job or lead","operationId":"readSupplierContactCustomFields","parameters":[{"name":"identifier","in":"path","description":"Identifier of the given record type","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"success","content":{"application/xml":{"schema":{"$ref":"#/components/schemas/customapis-customfield"}}}}}},"put":{"tags":["Custom Field"],"summary":"Update custom field data for a specific client, contact, supplier, supplier contact, job or lead","operationId":"updateSupplierContactCustomFields","parameters":[{"name":"identifier","in":"path","description":"Identifier of the given record type","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/xml":{"schema":{"$ref":"#/components/schemas/customapis-customfield-updaterequest"}}},"required":true},"responses":{"200":{"description":"success","content":{"application/xml":{"schema":{"$ref":"#/components/schemas/customapis-customfield-update"}}}}}}},"/supplier.api/contact/{uuid}":{"get":{"tags":["Supplier"],"summary":"Detailed information for a specific contact","operationId":"readSupplierContact","parameters":[{"name":"uuid","in":"path","description":"The UUID of the given contact","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"success","content":{"application/xml":{"schema":{"$ref":"#/components/schemas/supplier.api-contact-uuid"}}}}}},"put":{"tags":["Supplier"],"summary":"Update a contacts details","operationId":"updateSupplierContact","parameters":[{"name":"uuid","in":"path","description":"The UUID of the given contact","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/xml":{"schema":{"$ref":"#/components/schemas/supplier.api-contact-uuid-put"}}},"required":true},"responses":{"200":{"description":"success","content":{"application/xml":{"schema":{"$ref":"#/components/schemas/supplier.api-contact-uuid"}}}}}}},"/supplier.api/delete":{"post":{"tags":["Supplier"],"summary":"Delete a supplier","operationId":"deleteSupplier","requestBody":{"content":{"application/xml":{"schema":{"$ref":"#/components/schemas/SupplierArchiveDelete"}}},"required":true},"responses":{"200":{"description":"success","content":{"application/xml":{"schema":{"$ref":"#/components/schemas/supplier.api-get-uuid"}}}}}}},"/supplier.api/get/{identifier}/customfield":{"get":{"tags":["Custom Field"],"summary":"Retrieve custom field data for a specific client, contact, supplier, supplier contact, job or lead","operationId":"readSupplierCustomFields","parameters":[{"name":"identifier","in":"path","description":"Identifier of the given record type","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"success","content":{"application/xml":{"schema":{"$ref":"#/components/schemas/customapis-customfield"}}}}}},"put":{"tags":["Custom Field"],"summary":"Update custom field data for a specific client, contact, supplier, supplier contact, job or lead","operationId":"updateSupplierCustomFields","parameters":[{"name":"identifier","in":"path","description":"Identifier of the given record type","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/xml":{"schema":{"$ref":"#/components/schemas/customapis-customfield-updaterequest"}}},"required":true},"responses":{"200":{"description":"success","content":{"application/xml":{"schema":{"$ref":"#/components/schemas/customapis-customfield-update"}}}}}}},"/supplier.api/get/{uuid}":{"get":{"tags":["Supplier"],"summary":"Return a list of suppliers","operationId":"readSupplier","parameters":[{"name":"uuid","in":"path","description":"Supplier UUID","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"success","content":{"application/xml":{"schema":{"$ref":"#/components/schemas/supplier.api-get-uuid"}}}}}}},"/supplier.api/list":{"get":{"tags":["Supplier"],"summary":"Return a list of suppliers","operationId":"readSuppliers","parameters":[{"name":"detailed","in":"query","description":"Return detailed information on a quote","schema":{"type":"string","enum":["false","true"]}},{"name":"page","in":"query","description":"The current page. Defaults to 1 if the value is smaller than 1 or if the parameter is not present but pagesize parameter is present","schema":{"type":"number"}},{"name":"pagesize","in":"query","description":"Number of records per page. Optional. No pagination if not present.","schema":{"type":"number"}}],"responses":{"200":{"description":"success","content":{"application/xml":{"schema":{"$ref":"#/components/schemas/supplier.api-list"}}}}}}},"/supplier.api/update":{"put":{"tags":["Supplier"],"summary":"Update a suppliers details","operationId":"updateSupplier","requestBody":{"content":{"application/xml":{"schema":{"$ref":"#/components/schemas/SupplierUpdate"}}},"required":true},"responses":{"200":{"description":"success - Note, response payload not defined","content":{}}}}},"/task.api/get/{uuid}":{"get":{"tags":["Task"],"summary":"Details for a specific task","operationId":"readTask","parameters":[{"name":"uuid","in":"path","description":"UUID of specific task","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"success","content":{"application/xml":{"schema":{"$ref":"#/components/schemas/task.api-get-uuid"}}}}}}},"/task.api/list":{"get":{"tags":["Task"],"summary":"Return a list of all tasks","operationId":"readTasks","responses":{"200":{"description":"success","content":{"application/xml":{"schema":{"$ref":"#/components/schemas/task.api-list"}}}}}}},"/template.api/list":{"get":{"tags":["Template"],"summary":"Return a list of all templates","operationId":"readTemplates","responses":{"200":{"description":"success","content":{"application/xml":{"schema":{"$ref":"#/components/schemas/template.api-list"}}}}}}},"/time.api/add":{"post":{"tags":["Time"],"summary":"Add a time sheet entry to a job","operationId":"createTimeSheetEntry","requestBody":{"content":{"application/xml":{"schema":{"$ref":"#/components/schemas/time.api-add-request"}}},"required":true},"responses":{"200":{"description":"success","content":{"application/xml":{"schema":{"$ref":"#/components/schemas/time.api-uuid"}}}}}}},"/time.api/delete/{uuid}":{"delete":{"tags":["Time"],"summary":"Delete a specific time sheet entry","operationId":"deleteTimeSheetEntry","parameters":[{"name":"uuid","in":"path","description":"Timesheet UUID","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Success - note response payload is not documented.","content":{}}}}},"/time.api/get/{identifier}/customfield":{"get":{"tags":["Custom Field"],"summary":"Retrieve custom field data for a specific client, contact, supplier, supplier contact, job or lead","operationId":"readTimeCustomFields","parameters":[{"name":"identifier","in":"path","description":"Identifier of the given record type","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"success","content":{"application/xml":{"schema":{"$ref":"#/components/schemas/customapis-customfield"}}}}}}},"/time.api/job/{job_number}":{"get":{"tags":["Time"],"summary":"Returns a list of time sheet entries for a specific job","operationId":"readJobTimeSheetEntries","parameters":[{"name":"job_number","in":"path","required":true,"schema":{"type":"string"}},{"name":"from","in":"query","description":"Date to search from - YYYYMMDD","schema":{"type":"string"}},{"name":"to","in":"query","description":"Date to search to - YYYYMMDD","schema":{"type":"string"}}],"responses":{"200":{"description":"success","content":{"application/xml":{"schema":{"$ref":"#/components/schemas/time.api-job-job_number"}}}}}}},"/time.api/list":{"get":{"tags":["Time"],"summary":"Return a list of time sheet entries","operationId":"readTimeSheetEntries","parameters":[{"name":"from","in":"query","description":"Return time sheet entries created on or after this date. Format YYYYMMDD.","required":true,"schema":{"type":"string"}},{"name":"to","in":"query","description":"Return time sheet entries created on or before this date. Format YYYYMMDD.","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"success. Note response payload is not documented, as such the following is assumed","content":{"application/xml":{"schema":{"$ref":"#/components/schemas/time.api-job-job_number"}}}}}}},"/time.api/staff/{uuid}":{"get":{"tags":["Time"],"summary":"Return a list of time sheet entries for a specific staff member","operationId":"readStaffTimeSheetEntries","parameters":[{"name":"uuid","in":"path","description":"Staff member UUID","required":true,"schema":{"type":"string"}},{"name":"from","in":"query","description":"Return time sheet entries created on or after this date. Format YYYYMMDD.","required":true,"schema":{"type":"string"}},{"name":"to","in":"query","description":"Return time sheet entries created on or before this date. Format YYYYMMDD.","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"success. Note response payload is not documented, as such the following is assumed","content":{"application/xml":{"schema":{"$ref":"#/components/schemas/time.api-job-job_number"}}}}}}},"/time.api/update":{"put":{"tags":["Time"],"summary":"Update a time sheet entry on a job","operationId":"updateTimeSheetEntry","requestBody":{"content":{"application/xml":{"schema":{"$ref":"#/components/schemas/time.api-update-request"}}},"required":true},"responses":{"200":{"description":"success","content":{"application/xml":{"schema":{"$ref":"#/components/schemas/time.api-uuid"}}}}}}},"/time.api/update/{identifier}/customfield":{"put":{"tags":["Custom Field"],"summary":"Update custom field data for a specific client, contact, supplier, supplier contact, job or lead","description":"success - Note response payload requires review","operationId":"updateTimeCustomField","parameters":[{"name":"identifier","in":"path","description":"Identifier of the given record type","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/xml":{"schema":{"$ref":"#/components/schemas/customapis-customfield-updaterequest"}}},"required":true},"responses":{"200":{"description":"success","content":{"application/xml":{"schema":{"$ref":"#/components/schemas/customapis-customfield-update"}}}}}}},"/time.api/get/{uuid}":{"get":{"tags":["Time"],"summary":"Detailed information for a specific time entry","operationId":"readTimeSheetEntry","parameters":[{"name":"uuid","in":"path","description":"Time entry UUID","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Success","content":{"applciation/xml":{"schema":{"$ref":"#/components/schemas/time.api-uuid"}}}}}}}},"components":{"schemas":{"AccountManager":{"type":"object","properties":{"Name":{"type":"string","example":"Jo Blogs"},"UUID":{"type":"string","example":"f1ec264f-d269-4232-9615-c167583fa7da"}},"example":{"Name":"Jo Blogs","UUID":"f1ec264f-d269-4232-9615-c167583fa7da"}},"Activity":{"type":"object","properties":{"Completed":{"type":"string","enum":["false","true"]},"Date":{"type":"string","example":"2008-09-24T00:00:00.000Z"},"Responsible":{"$ref":"#/components/schemas/DetailedLead_Owner"},"Subject":{"type":"string","example":"Phone conference at 3pm"}},"example":{"Completed":"false","Date":"2008-09-24T00:00:00.000Z","Subject":"Phone conference at 3pm"}},"ArchiveClient":{"type":"object","properties":{"UUID":{"type":"string"}},"xml":{"name":"Client","wrapped":true}},"BasicContact":{"type":"object","properties":{"Email":{"type":"string"},"Mobile":{"type":"string"},"Name":{"type":"string","example":"Samantha Benecke"},"Phone":{"type":"string"},"Position":{"type":"string"},"UUID":{"type":"string","example":"f1ec264f-d269-4232-9615-c167583fa7da"}},"example":{"Email":"Email","Mobile":"Mobile","Name":"Samantha Benecke","Phone":"Phone","Position":"Position","UUID":"f1ec264f-d269-4232-9615-c167583fa7da"}},"Category":{"type":"object","properties":{"Category":{"$ref":"#/components/schemas/Category_Category"}},"example":{"Category":{"Name":"Design","UUID":"c257b062-fbc9-4dc7-9132-f18ee956c4f9"}}},"Category_Category":{"type":"object","properties":{"Name":{"type":"string","example":"Design"},"UUID":{"type":"string","example":"c257b062-fbc9-4dc7-9132-f18ee956c4f9"}},"example":{"Name":"Design","UUID":"c257b062-fbc9-4dc7-9132-f18ee956c4f9"}},"Client":{"type":"object","properties":{"Client":{"$ref":"#/components/schemas/RawClient"}},"example":{"Client":{"AccountManager":{"Name":"Jo Blogs","UUID":"f1ec264f-d269-4232-9615-c167583fa7da"},"Address":"Address","City":"City","Contacts":[{"Contact":{"Addressee":"Mrs S Benecke","Email":"Email","IsPrimary":true,"Mobile":"Mobile","Name":"Samantha Benecke","Phone":"Phone","Position":"Position","Salutation":"Sam","UUID":"f1ec264f-d269-4232-9615-c167583fa7da"}},{"Contact":{"Addressee":"Mrs S Benecke","Email":"Email","IsPrimary":true,"Mobile":"Mobile","Name":"Samantha Benecke","Phone":"Phone","Position":"Position","Salutation":"Sam","UUID":"f1ec264f-d269-4232-9615-c167583fa7da"}}],"Country":"Country","DateOfBirth":"1970-11-26T00:00:00.000Z","Email":"someone@example.com","ExportCode":"ExportCode","Fax":"Fax","FirstName":"FirstName","Gender":"Gender","IsArchived":true,"IsDeleted":true,"IsProspect":"Yes'","LastName":"LastName","Name":"XYZ Australia, NZ Business Unit","Notes":[{"Note":{"CreatedBy":"Jo Bloggs","Date":"2008-09-12T13:00:00.000Z","Folder":"Folder","Text":"subject of the note","Title":"note title"}},{"Note":{"CreatedBy":"Jo Bloggs","Date":"2008-09-12T13:00:00.000Z","Folder":"Folder","Text":"subject of the note","Title":"note title"}}],"OtherName":"OtherName","Phone":"(02)1723 5265","PostalAddress":"Level 32, PWC Building 188 Quay Street Auckland Central","PostalCity":"Auckland","PostalCountry":"PostalCountry","PostalPostCode":"1001","PostalRegion":"PostalRegion","Postcode":"Postcode","ReferralSource":"ReferralSource","Region":"Region","Title":"Title","Type":{"CostMarkup":30,"Name":"20th of Month","PaymentDay":"20","PaymentTerm":"DayOfMonth"},"UUID":"c257b062-fbc9-4dc7-9132-f18ee956c4f9","Website":"Website"}}},"CompanyUuidName":{"type":"object","properties":{"Name":{"type":"string","example":"A B C Limited"},"UUID":{"type":"string","example":"a98b5db3-c3b7-4f90-acee-f1e741a4fc7c"}},"example":{"Name":"A B C Limited","UUID":"a98b5db3-c3b7-4f90-acee-f1e741a4fc7c"}},"Contact":{"type":"object","properties":{"Contact":{"$ref":"#/components/schemas/Contact_Contact"}},"example":{"Contact":{"Addressee":"Mrs S Benecke","Email":"Email","IsPrimary":true,"Mobile":"Mobile","Name":"Samantha Benecke","Phone":"Phone","Position":"Position","Salutation":"Sam","UUID":"f1ec264f-d269-4232-9615-c167583fa7da"}}},"Contact_Contact":{"type":"object","properties":{"Addressee":{"type":"string","example":"Mrs S Benecke"},"Email":{"type":"string"},"IsPrimary":{"type":"string","enum":[true,false]},"Mobile":{"type":"string"},"Name":{"type":"string","example":"Samantha Benecke"},"Phone":{"type":"string"},"Position":{"type":"string"},"Salutation":{"type":"string","example":"Sam"},"UUID":{"type":"string","example":"f1ec264f-d269-4232-9615-c167583fa7da"}},"example":{"Addressee":"Mrs S Benecke","Email":"Email","IsPrimary":true,"Mobile":"Mobile","Name":"Samantha Benecke","Phone":"Phone","Position":"Position","Salutation":"Sam","UUID":"f1ec264f-d269-4232-9615-c167583fa7da"}},"Cost":{"type":"object","properties":{"Amount":{"type":"number","example":50.0},"AmountIncludingTax":{"type":"number","example":56.25},"AmountTax":{"type":"number","example":6.25},"Billable":{"type":"string","enum":[true,false]},"Code":{"type":"string","example":"COURIER"},"Description":{"type":"string","example":"Courier"},"Note":{"type":"string","example":"Note"},"Quantity":{"type":"number","example":1.0},"UnitCost":{"type":"number","example":50.0},"UnitPrice":{"type":"number","example":50.0}},"example":{"Amount":50,"AmountIncludingTax":56.25,"AmountTax":6.25,"Billable":true,"Code":"COURIER","Description":"Courier","Note":"Note","Quantity":1,"UnitCost":50,"UnitPrice":50},"xml":{"name":"Cost"}},"CustomField":{"type":"object","properties":{"Boolean":{"type":"boolean","example":true},"Date":{"type":"string","example":"2010-10-11T00:00:00.000Z"},"Decimal":{"type":"number","example":123.45},"Name":{"type":"string","example":"Date Field"},"Number":{"type":"number","example":123.0},"Text":{"type":"string","example":"some text"},"UUID":{"type":"string"}},"example":{"Boolean":true,"Date":20240130,"Decimal":123.45,"Name":"Date Field","Number":123,"Text":"some text","UUID":"UUID"}},"CustomFieldDefinition":{"type":"object","properties":{"LinkUrl":{"type":"string"},"Name":{"type":"string","example":"Name of Custom Field"},"Options":{"type":"string"},"Type":{"type":"string","enum":["Text","Decimal","Date","Dropdown List","Value Link"]},"UUID":{"type":"string"},"UseClient":{"type":"string","enum":["true","false"]},"UseContact":{"type":"string","enum":["true","false"]},"UseJob":{"type":"string","enum":["true","false"]},"UseJobCost":{"type":"string","enum":["true","false"]},"UseJobTask":{"type":"string","enum":["true","false"]},"UseJobTime":{"type":"string","enum":["true","false"]},"UseLead":{"type":"string","enum":["true","false"]},"UseSupplier":{"type":"string","enum":["true","false"]},"ValueElement":{"type":"string","enum":["Text","Decimal","Number","Boolean","Date"]},"Mandatory":{"type":"string","enum":["true","false"]}},"example":{"LinkUrl":"LinkUrl","Name":"Name of Custom Field","Options":"Options","Type":"Text","UUID":"UUID","UseClient":"true","UseContact":"true","UseJob":"true","UseJobCost":"true","UseJobTask":"true","UseJobTime":"true","UseLead":"true","UseSupplier":"true","ValueElement":"Text","Mandatory":"true"}},"CustomFieldDefinitions":{"type":"object","properties":{"CustomFieldDefinition":{"type":"array","items":{"$ref":"#/components/schemas/CustomFieldDefinition"}}},"example":{"CustomFieldDefinition":[{"LinkUrl":"LinkUrl","Name":"Name of Custom Field","Options":"Options","Type":"Text","UUID":"UUID","UseClient":"true","UseContact":"true","UseJob":"true","UseJobCost":"true","UseJobTask":"true","UseJobTime":"true","UseLead":"true","UseSupplier":"true","ValueElement":"Text","Mandatory":"true"},{"LinkUrl":"LinkUrl","Name":"Name of Custom Field","Options":"Options","Type":"Text","UUID":"UUID","UseClient":"true","UseContact":"true","UseJob":"true","UseJobCost":"true","UseJobTask":"true","UseJobTime":"true","UseLead":"true","UseSupplier":"true","ValueElement":"Text","Mandatory":"false"}]}},"CustomFields":{"type":"object","properties":{"CustomField":{"type":"array","items":{"$ref":"#/components/schemas/CustomField"}}},"example":{"CustomField":[{"Boolean":true,"Date":"2010-10-11T00:00:00.000Z","Decimal":123.45,"Name":"Date Field","Number":123,"Text":"some text","UUID":"UUID"},{"Boolean":true,"Date":"2010-10-11T00:00:00.000Z","Decimal":123.45,"Name":"Date Field","Number":123,"Text":"some text","UUID":"UUID"}]}},"DetailedJob":{"type":"object","properties":{"ApprovedQuoteId":{"type":"string","example":"Q000005"},"ApprovedQuoteUUID":{"type":"string","example":"90dd07e5-bb36-423d-ab76-5a5ead0bb852"},"Assigned":{"$ref":"#/components/schemas/DetailedJob_Assigned"},"Client":{"$ref":"#/components/schemas/DetailedJob_Client"},"ClientOrderNumber":{"type":"string","example":"ABCD1234"},"DateCreatedUtc":{"type":"string","example":"2021-05-11T02:09:53.000Z"},"DateModifiedUtc":{"type":"string","example":"2021-05-11T02:09:53.000Z"},"Description":{"type":"string","example":"Brochure Design"},"DueDate":{"type":"string","example":"2022-05-11T00:00:00.000Z"},"ID":{"type":"string","example":"J000159"},"Name":{"type":"string","example":"Brochure Design"},"StartDate":{"type":"string","example":"2021-05-11T00:00:00.000Z"},"State":{"type":"string","example":"In Progress"},"Type":{"type":"string","example":"Bookkeeping"},"UUID":{"type":"string","example":"0d3458b8-6fde-4389-8dbb-0a85804466ad"},"WebUrl":{"type":"string","example":"http://app.my.workflowmax.web/job/jobview.aspx?id=116912"}},"example":{"ApprovedQuoteId":"Q000005","ApprovedQuoteUUID":"90dd07e5-bb36-423d-ab76-5a5ead0bb852","Assigned":{"Name":"John Smith","Staff":{},"UUID":"52ed22ca-4600-437c-86f6-465dda434af2"},"Client":{"Name":"John Smith","UUID":"4f2161d6-21af-4f47-9845-2436f3efd5b0"},"ClientOrderNumber":"ABCD1234","DateCreatedUtc":"2021-05-11T02:09:53.000Z","DateModifiedUtc":"2021-05-11T02:09:53.000Z","Description":"Brochure Design","DueDate":"2022-05-11T00:00:00.000Z","ID":"J000159","Name":"Brochure Design","StartDate":"2021-05-11T00:00:00.000Z","State":"In Progress","Type":"Bookkeeping","UUID":"0d3458b8-6fde-4389-8dbb-0a85804466ad","WebUrl":"http://app.my.workflowmax.web/job/jobview.aspx?id=116912"}},"DetailedJob_Assigned":{"type":"object","properties":{"Name":{"type":"string","example":"John Smith"},"Staff":{"type":"object","properties":{}},"UUID":{"type":"string","example":"52ed22ca-4600-437c-86f6-465dda434af2"}},"example":{"Name":"John Smith","Staff":{},"UUID":"52ed22ca-4600-437c-86f6-465dda434af2"}},"DetailedJob_Client":{"type":"object","properties":{"Name":{"type":"string","example":"John Smith"},"UUID":{"type":"string","example":"4f2161d6-21af-4f47-9845-2436f3efd5b0"}},"example":{"Name":"John Smith","UUID":"4f2161d6-21af-4f47-9845-2436f3efd5b0"}},"DetailedLead":{"type":"object","properties":{"Activities":{"$ref":"#/components/schemas/DetailedLead_Activities"},"Category":{"type":"string","example":"Hot"},"Client":{"$ref":"#/components/schemas/DetailedLead_Client"},"Contact":{"$ref":"#/components/schemas/DetailedLead_Contact"},"Date":{"type":"string","example":"2008-08-29T00:00:00.000Z"},"DateWonLost":{"type":"string"},"Description":{"type":"string"},"EstimatedValue":{"type":"number","example":10000.0},"History":{"$ref":"#/components/schemas/DetailedLead_History"},"Name":{"type":"string","example":"Brochure Design"},"Owner":{"$ref":"#/components/schemas/DetailedLead_Owner"},"State":{"type":"string","example":"Current"},"UUID":{"type":"string","example":"0c6c8518-b2f2-4d2e-86d5-4cda1ffad545"}},"example":{"Activities":{"Activity":[{"Completed":"false","Date":"2008-09-24T00:00:00.000Z","Subject":"Phone conference at 3pm"},{"Completed":"false","Date":"2008-09-24T00:00:00.000Z","Subject":"Phone conference at 3pm"}]},"Category":"Hot","Client":{"Name":"A C Smith Limited","UUID":"23a720b6-a58e-4c4f-a938-bddbea7b4c66"},"Contact":{"Name":"Andrew Smith","UUID":"9f286b6c-9db8-472d-adf0-e1595f2a80b5"},"Date":"2008-08-29T00:00:00.000Z","DateWonLost":"DateWonLost","Description":"Description","EstimatedValue":10000,"History":{"Item":[{"Date":"2008-09-12T13:00:00.000Z","Detail":"Created by Jo Bloggs","Staff":"Jo Bloggs","Type":"Lead"},{"Date":"2008-09-12T13:00:00.000Z","Detail":"Created by Jo Bloggs","Staff":"Jo Bloggs","Type":"Lead"}]},"Name":"Brochure Design","Owner":{"Name":"Jo Bloggs","UUID":"44ce9043-8a05-45e6-9a6b-93a7458d5734"},"State":"Current","UUID":"0c6c8518-b2f2-4d2e-86d5-4cda1ffad545"}},"DetailedLead_Activities":{"type":"object","properties":{"Activity":{"type":"array","items":{"$ref":"#/components/schemas/Activity"}}},"example":{"Activity":[{"Completed":"false","Date":"2008-09-24T00:00:00.000Z","Subject":"Phone conference at 3pm"},{"Completed":"false","Date":"2008-09-24T00:00:00.000Z","Subject":"Phone conference at 3pm"}]}},"DetailedLead_Client":{"type":"object","properties":{"Name":{"type":"string","example":"A C Smith Limited"},"UUID":{"type":"string","example":"23a720b6-a58e-4c4f-a938-bddbea7b4c66"}},"example":{"Name":"A C Smith Limited","UUID":"23a720b6-a58e-4c4f-a938-bddbea7b4c66"}},"DetailedLead_Contact":{"type":"object","properties":{"Name":{"type":"string","example":"Andrew Smith"},"UUID":{"type":"string","example":"9f286b6c-9db8-472d-adf0-e1595f2a80b5"}},"example":{"Name":"Andrew Smith","UUID":"9f286b6c-9db8-472d-adf0-e1595f2a80b5"}},"DetailedLead_History":{"type":"object","properties":{"Item":{"type":"array","items":{"$ref":"#/components/schemas/HistoryItem"}}},"example":{"Item":[{"Date":"2008-09-12T13:00:00.000Z","Detail":"Created by Jo Bloggs","Staff":"Jo Bloggs","Type":"Lead"},{"Date":"2008-09-12T13:00:00.000Z","Detail":"Created by Jo Bloggs","Staff":"Jo Bloggs","Type":"Lead"}]}},"DetailedLead_Owner":{"type":"object","properties":{"Name":{"type":"string","example":"Jo Bloggs"},"UUID":{"type":"string","example":"44ce9043-8a05-45e6-9a6b-93a7458d5734"}},"example":{"Name":"Jo Bloggs","UUID":"44ce9043-8a05-45e6-9a6b-93a7458d5734"}},"DetailedPurchaseOrder":{"type":"object","properties":{"Amount":{"type":"number","example":200.0},"AmountIncludingTax":{"type":"number","example":225.0},"AmountTax":{"type":"number","example":25.0},"Costs":{"$ref":"#/components/schemas/DetailedQuote_Costs"},"Date":{"type":"string","example":"2007-09-15T00:00:00.000Z"},"DeliveryAddress":{"type":"string"},"Description":{"type":"string"},"ID":{"type":"string","example":"P000123"},"Job":{"$ref":"#/components/schemas/JobIdName"},"State":{"type":"string","example":"Issued"},"Supplier":{"$ref":"#/components/schemas/CompanyUuidName"}},"example":{"Amount":200,"AmountIncludingTax":225,"AmountTax":25,"Costs":{"Cost":[{"Amount":50,"AmountIncludingTax":56.25,"AmountTax":6.25,"Billable":true,"Code":"COURIER","Description":"Courier","Note":"Note","Quantity":1,"UnitCost":50,"UnitPrice":50},{"Amount":50,"AmountIncludingTax":56.25,"AmountTax":6.25,"Billable":true,"Code":"COURIER","Description":"Courier","Note":"Note","Quantity":1,"UnitCost":50,"UnitPrice":50}]},"Date":"2007-09-15T00:00:00.000Z","DeliveryAddress":"DeliveryAddress","Description":"Description","ID":"P000123","Job":{"ID":"J000123","Name":"Design Job"},"State":"Issued","Supplier":{"Name":"A B C Limited","UUID":"a98b5db3-c3b7-4f90-acee-f1e741a4fc7c"}}},"DetailedQuote":{"type":"object","properties":{"Amount":{"type":"string","example":"200"},"AmountIncludingTax":{"type":"string","example":"225"},"AmountTax":{"type":"string","example":"25"},"Budget":{"type":"string"},"Client":{"$ref":"#/components/schemas/CompanyUuidName"},"Contact":{"$ref":"#/components/schemas/PersonUuidName"},"Costs":{"$ref":"#/components/schemas/DetailedQuote_Costs"},"Date":{"type":"string","example":"2007-09-15T00:00:00.000Z"},"Description":{"type":"string","example":"Description"},"EstimatedCost":{"type":"string","example":"100"},"EstimatedCostIncludingTax":{"type":"string","example":"112.5"},"EstimatedCostTax":{"type":"string","example":"12.5"},"ID":{"type":"string","example":"Q000123"},"LeadUUID":{"type":"string","example":"754a48e5-0fce-421c-b32b-f84d6b576ef3"},"Name":{"type":"string","example":"Name"},"OptionExplanation":{"type":"string"},"Options":{"$ref":"#/components/schemas/DetailedQuote_Options"},"State":{"type":"string","example":"Issued"},"Tasks":{"$ref":"#/components/schemas/DetailedQuote_Tasks"},"Type":{"type":"string","example":"Estimate"},"UUID":{"type":"string","example":"6af333db-e272-4983-b374-6981301227b3"},"ValidDate":{"type":"string","example":"2007-09-22T00:00:00.000Z"}},"example":{"Amount":"200","AmountIncludingTax":"225","AmountTax":"25","Budget":"Budget","Client":{"Name":"A B C Limited","UUID":"a98b5db3-c3b7-4f90-acee-f1e741a4fc7c"},"Contact":{"Name":"Andrew Smith","UUID":"a98b5db3-c3b7-4f90-acee-f1e741a4fc7c"},"Costs":{"Cost":[{"Amount":50,"AmountIncludingTax":56.25,"AmountTax":6.25,"Billable":true,"Code":"COURIER","Description":"Courier","Note":"Note","Quantity":1,"UnitCost":50,"UnitPrice":50},{"Amount":50,"AmountIncludingTax":56.25,"AmountTax":6.25,"Billable":true,"Code":"COURIER","Description":"Courier","Note":"Note","Quantity":1,"UnitCost":50,"UnitPrice":50}]},"Date":"2007-09-15T00:00:00.000Z","Description":"Description","EstimatedCost":"100","EstimatedCostIncludingTax":"112.5","EstimatedCostTax":"12.5","ID":"Q000123","LeadUUID":"754a48e5-0fce-421c-b32b-f84d6b576ef3","Name":"Name","OptionExplanation":"OptionExplanation","Options":{"Option":[{"Amount":100,"AmountIncludingTax":112.5,"AmountTax":12.5,"Code":"PRINT","Description":"Printing","Note":"Note","Quantity":1,"UnitCost":50,"UnitPrice":100},{"Amount":100,"AmountIncludingTax":112.5,"AmountTax":12.5,"Code":"PRINT","Description":"Printing","Note":"Note","Quantity":1,"UnitCost":50,"UnitPrice":100}]},"State":"Issued","Tasks":{"Task":[{"Amount":150,"AmountIncludingTax":168.75,"AmountTax":18.75,"Billable":true,"BillableRate":150,"Description":"Description","EstimatedMinutes":60,"Name":"Design"},{"Amount":150,"AmountIncludingTax":168.75,"AmountTax":18.75,"Billable":true,"BillableRate":150,"Description":"Description","EstimatedMinutes":60,"Name":"Design"}]},"Type":"Estimate","UUID":"6af333db-e272-4983-b374-6981301227b3","ValidDate":"2007-09-22T00:00:00.000Z"}},"DetailedQuote_Costs":{"type":"object","properties":{"Cost":{"type":"array","items":{"$ref":"#/components/schemas/Cost"}}},"example":{"Cost":[{"Amount":50,"AmountIncludingTax":56.25,"AmountTax":6.25,"Billable":true,"Code":"COURIER","Description":"Courier","Note":"Note","Quantity":1,"UnitCost":50,"UnitPrice":50},{"Amount":50,"AmountIncludingTax":56.25,"AmountTax":6.25,"Billable":true,"Code":"COURIER","Description":"Courier","Note":"Note","Quantity":1,"UnitCost":50,"UnitPrice":50}]}},"DetailedQuote_Options":{"type":"object","properties":{"Option":{"type":"array","items":{"$ref":"#/components/schemas/Option"}}},"example":{"Option":[{"Amount":100,"AmountIncludingTax":112.5,"AmountTax":12.5,"Code":"PRINT","Description":"Printing","Note":"Note","Quantity":1,"UnitCost":50,"UnitPrice":100},{"Amount":100,"AmountIncludingTax":112.5,"AmountTax":12.5,"Code":"PRINT","Description":"Printing","Note":"Note","Quantity":1,"UnitCost":50,"UnitPrice":100}]}},"DetailedQuote_Tasks":{"type":"object","properties":{"Task":{"type":"array","items":{"$ref":"#/components/schemas/NewTask"}}},"example":{"Task":[{"Amount":150,"AmountIncludingTax":168.75,"AmountTax":18.75,"Billable":true,"BillableRate":150,"Description":"Description","EstimatedMinutes":60,"Name":"Design"},{"Amount":150,"AmountIncludingTax":168.75,"AmountTax":18.75,"Billable":true,"BillableRate":150,"Description":"Description","EstimatedMinutes":60,"Name":"Design"}]}},"DetailedSupplier":{"type":"object","properties":{"Address":{"type":"string"},"City":{"type":"string"},"Contacts":{"$ref":"#/components/schemas/DetailedSupplier_Contacts"},"Country":{"type":"string"},"Fax":{"type":"string"},"Name":{"type":"string","example":"XYZ Australia, NZ Business Unit"},"Notes":{"$ref":"#/components/schemas/DetailedSupplier_Notes"},"Phone":{"type":"string"},"PostCode":{"type":"string"},"PostalAddress":{"type":"string","example":"Level 32, PWC  Building 188 Quay Street Auckland Central"},"PostalCity":{"type":"string","example":"Auckland"},"PostalCountry":{"type":"string"},"PostalPostCode":{"type":"string","example":"1001"},"PostalRegion":{"type":"string"},"Region":{"type":"string"},"UUID":{"type":"string","example":"0c2b4b07-79c0-419a-9329-6a1b5cef84bc"},"Website":{"type":"string"}},"example":{"Address":"Address","City":"City","Contacts":{"Contact":[{"Email":"Email","Mobile":"Mobile","Name":"Samantha Benecke","Phone":"Phone","Position":"Position","UUID":"bb9cb1cb-0646-431b-83f8-192d6dd3b5d1"},{"Email":"Email","Mobile":"Mobile","Name":"Samantha Benecke","Phone":"Phone","Position":"Position","UUID":"bb9cb1cb-0646-431b-83f8-192d6dd3b5d1"}]},"Country":"Country","Fax":"Fax","Name":"XYZ Australia, NZ Business Unit","Notes":{"Note":[{"Note":{"CreatedBy":"Jo Bloggs","Date":"2008-09-12T13:00:00.000Z","Folder":"Folder","Text":"subject of the note","Title":"note title"}},{"Note":{"CreatedBy":"Jo Bloggs","Date":"2008-09-12T13:00:00.000Z","Folder":"Folder","Text":"subject of the note","Title":"note title"}}]},"Phone":"Phone","PostCode":"PostCode","PostalAddress":"Level 32, PWC  Building 188 Quay Street Auckland Central","PostalCity":"Auckland","PostalCountry":"PostalCountry","PostalPostCode":"1001","PostalRegion":"PostalRegion","Region":"Region","UUID":"0c2b4b07-79c0-419a-9329-6a1b5cef84bc","Website":"Website"}},"DetailedSupplier_Contacts":{"type":"object","properties":{"Contact":{"type":"array","items":{"$ref":"#/components/schemas/PersonWithId"}}},"example":{"Contact":[{"Email":"Email","Mobile":"Mobile","Name":"Samantha Benecke","Phone":"Phone","Position":"Position","UUID":"bb9cb1cb-0646-431b-83f8-192d6dd3b5d1"},{"Email":"Email","Mobile":"Mobile","Name":"Samantha Benecke","Phone":"Phone","Position":"Position","UUID":"bb9cb1cb-0646-431b-83f8-192d6dd3b5d1"}]}},"DetailedSupplier_Notes":{"type":"object","properties":{"Note":{"type":"array","items":{"$ref":"#/components/schemas/Note"}}},"example":{"Note":[{"Note":{"CreatedBy":"Jo Bloggs","Date":"2008-09-12T13:00:00.000Z","Folder":"Folder","Text":"subject of the note","Title":"note title"}},{"Note":{"CreatedBy":"Jo Bloggs","Date":"2008-09-12T13:00:00.000Z","Folder":"Folder","Text":"subject of the note","Title":"note title"}}]}},"Document":{"type":"object","properties":{"CreatedBy":{"type":"string","example":"Jo Bloggs"},"Date":{"type":"string","example":"20091023"},"Filename":{"type":"string","example":"file.txt"},"Folder":{"type":"string","example":"Correspondence"},"Text":{"type":"string"},"Title":{"type":"string","example":"Document Title"},"URL":{"type":"string","example":"https://my.workflowmax.com/..."}},"example":{"CreatedBy":"Jo Bloggs","Date":"20091023","Filename":"file.txt","Folder":"Correspondence","Text":"Text","Title":"Document Title","URL":"https://my.workflowmax.com/..."}},"FullCost":{"type":"object","properties":{"Billable":{"type":"string","enum":["true","false"]},"Code":{"type":"string","example":"WIDGET"},"Date":{"type":"string","example":"2009-10-23T00:00:00.000Z"},"Description":{"type":"string","example":"Widget"},"Note":{"type":"string","example":"a note about the widget"},"Quantity":{"type":"number","example":1.0},"Supplier":{"$ref":"#/components/schemas/FullCost_Supplier"},"UUID":{"type":"string","example":"0e9d45c4-37c5-4489-b966-765b115966e4"},"UnitCost":{"type":"number","example":50.0},"UnitPrice":{"type":"number","example":100.0}},"example":{"Billable":"true","Code":"WIDGET","Date":"2009-10-23T00:00:00.000Z","Description":"Widget","Note":"a note about the widget","Quantity":1,"Supplier":{"Name":"Widget Incorporated","UUID":"48db0a77-d871-4e1a-9475-aa40de10dd79"},"UUID":"0e9d45c4-37c5-4489-b966-765b115966e4","UnitCost":50,"UnitPrice":100}},"FullCost_Supplier":{"type":"object","properties":{"Name":{"type":"string","example":"Widget Incorporated"},"UUID":{"type":"string","example":"48db0a77-d871-4e1a-9475-aa40de10dd79"}},"example":{"Name":"Widget Incorporated","UUID":"48db0a77-d871-4e1a-9475-aa40de10dd79"}},"FullInvoice":{"type":"object","properties":{"Amount":{"type":"number","example":200.0},"AmountIncludingTax":{"type":"number","example":225.0},"AmountOutstanding":{"type":"number","example":125.0},"AmountPaid":{"type":"number","example":100.0},"AmountTax":{"type":"number","example":25.0},"Client":{"$ref":"#/components/schemas/FullInvoice_Client"},"Contact":{"$ref":"#/components/schemas/FullInvoice_Contact"},"Costs":{"$ref":"#/components/schemas/DetailedQuote_Costs"},"Date":{"type":"string","example":"2007-09-15T00:00:00.000Z"},"DueDate":{"type":"string","example":"2007-09-22T00:00:00.000Z"},"ID":{"type":"string","example":"I000123"},"JobText":{"type":"string","example":"J000123"},"Jobs":{"$ref":"#/components/schemas/FullInvoice_Jobs"},"Status":{"type":"string","enum":["Approved","Paid","Draft","Cancelled"]},"Tasks":{"$ref":"#/components/schemas/FullInvoice_Tasks"},"Type":{"type":"string","example":"Progress Invoice"},"UUID":{"type":"string","example":"e873137a-7e07-49a0-8987-130e7418ad34"}},"example":{"Amount":200,"AmountIncludingTax":225,"AmountOutstanding":125,"AmountPaid":100,"AmountTax":25,"Client":{"Name":"A C Smith Limited","UUID":"9298fafa-f1a4-494d-b62a-35aae4c7bb3e"},"Contact":{"Name":"Andy Smith","UUID":"5d852206-b63f-4921-9267-12c0d95ef906"},"Date":"2007-09-15T00:00:00.000Z","DueDate":"2007-09-22T00:00:00.000Z","ID":"I000123","JobText":"J000123","Jobs":{"Jobs":[{"ClientOrderNumber":"ClientOrderNumber","Costs":{"Cost":[{"Amount":50,"AmountIncludingTax":56.25,"AmountTax":6.25,"Billable":true,"Code":"COURIER","Description":"Courier","Note":"Note","Quantity":1,"UnitCost":50,"UnitPrice":50},{"Amount":50,"AmountIncludingTax":56.25,"AmountTax":6.25,"Billable":true,"Code":"COURIER","Description":"Courier","Note":"Note","Quantity":1,"UnitCost":50,"UnitPrice":50}]},"Description":"Description","ID":"J000345","Name":"Brochure Design","Tasks":{"Task":[{"Amount":150,"AmountIncludingTax":168.75,"AmountTax":18.75,"Billable":true,"BillableRate":150,"Description":"Description","Minutes":60,"Name":"Design","UUID":"5d852206-b63f-4921-9267-12c0d95ef906"},{"Amount":150,"AmountIncludingTax":168.75,"AmountTax":18.75,"Billable":true,"BillableRate":150,"Description":"Description","Minutes":60,"Name":"Design","UUID":"5d852206-b63f-4921-9267-12c0d95ef906"}]}},{"ClientOrderNumber":"ClientOrderNumber","Costs":{"Cost":[{"Amount":50,"AmountIncludingTax":56.25,"AmountTax":6.25,"Billable":true,"Code":"COURIER","Description":"Courier","Note":"Note","Quantity":1,"UnitCost":50,"UnitPrice":50},{"Amount":50,"AmountIncludingTax":56.25,"AmountTax":6.25,"Billable":true,"Code":"COURIER","Description":"Courier","Note":"Note","Quantity":1,"UnitCost":50,"UnitPrice":50}]},"Description":"Description","ID":"J000345","Name":"Brochure Design","Tasks":{"Task":[{"Amount":150,"AmountIncludingTax":168.75,"AmountTax":18.75,"Billable":true,"BillableRate":150,"Description":"Description","Minutes":60,"Name":"Design","UUID":"5d852206-b63f-4921-9267-12c0d95ef906"},{"Amount":150,"AmountIncludingTax":168.75,"AmountTax":18.75,"Billable":true,"BillableRate":150,"Description":"Description","Minutes":60,"Name":"Design","UUID":"5d852206-b63f-4921-9267-12c0d95ef906"}]}}]},"Status":"Approved","Type":"Progress Invoice","UUID":"e873137a-7e07-49a0-8987-130e7418ad34"}},"FullInvoice_Client":{"type":"object","properties":{"Name":{"type":"string","example":"A C Smith Limited"},"UUID":{"type":"string","example":"9298fafa-f1a4-494d-b62a-35aae4c7bb3e"}},"example":{"Name":"A C Smith Limited","UUID":"9298fafa-f1a4-494d-b62a-35aae4c7bb3e"}},"FullInvoice_Contact":{"type":"object","properties":{"Name":{"type":"string","example":"Andy Smith"},"UUID":{"type":"string","example":"5d852206-b63f-4921-9267-12c0d95ef906"}},"example":{"Name":"Andy Smith","UUID":"5d852206-b63f-4921-9267-12c0d95ef906"}},"FullInvoice_Jobs":{"type":"object","properties":{"Jobs":{"type":"array","items":{"$ref":"#/components/schemas/Job"}}},"example":{"Jobs":[{"ClientOrderNumber":"ClientOrderNumber","Costs":{"Cost":[{"Amount":50,"AmountIncludingTax":56.25,"AmountTax":6.25,"Billable":true,"Code":"COURIER","Description":"Courier","Note":"Note","Quantity":1,"UnitCost":50,"UnitPrice":50},{"Amount":50,"AmountIncludingTax":56.25,"AmountTax":6.25,"Billable":true,"Code":"COURIER","Description":"Courier","Note":"Note","Quantity":1,"UnitCost":50,"UnitPrice":50}]},"Description":"Description","ID":"J000345","Name":"Brochure Design","Tasks":{"Task":[{"Amount":150,"AmountIncludingTax":168.75,"AmountTax":18.75,"Billable":true,"BillableRate":150,"Description":"Description","Minutes":60,"Name":"Design","UUID":"5d852206-b63f-4921-9267-12c0d95ef906"},{"Amount":150,"AmountIncludingTax":168.75,"AmountTax":18.75,"Billable":true,"BillableRate":150,"Description":"Description","Minutes":60,"Name":"Design","UUID":"5d852206-b63f-4921-9267-12c0d95ef906"}]}},{"ClientOrderNumber":"ClientOrderNumber","Costs":{"Cost":[{"Amount":50,"AmountIncludingTax":56.25,"AmountTax":6.25,"Billable":true,"Code":"COURIER","Description":"Courier","Note":"Note","Quantity":1,"UnitCost":50,"UnitPrice":50},{"Amount":50,"AmountIncludingTax":56.25,"AmountTax":6.25,"Billable":true,"Code":"COURIER","Description":"Courier","Note":"Note","Quantity":1,"UnitCost":50,"UnitPrice":50}]},"Description":"Description","ID":"J000345","Name":"Brochure Design","Tasks":{"Task":[{"Amount":150,"AmountIncludingTax":168.75,"AmountTax":18.75,"Billable":true,"BillableRate":150,"Description":"Description","Minutes":60,"Name":"Design","UUID":"5d852206-b63f-4921-9267-12c0d95ef906"},{"Amount":150,"AmountIncludingTax":168.75,"AmountTax":18.75,"Billable":true,"BillableRate":150,"Description":"Description","Minutes":60,"Name":"Design","UUID":"5d852206-b63f-4921-9267-12c0d95ef906"}]}}]}},"FullInvoice_Tasks":{"type":"object","properties":{"Task":{"type":"array","items":{"$ref":"#/components/schemas/Task"}}},"example":{"Task":[{"Amount":150,"AmountIncludingTax":168.75,"AmountTax":18.75,"Billable":true,"BillableRate":150,"Description":"Description","Minutes":60,"Name":"Design","UUID":"5d852206-b63f-4921-9267-12c0d95ef906"},{"Amount":150,"AmountIncludingTax":168.75,"AmountTax":18.75,"Billable":true,"BillableRate":150,"Description":"Description","Minutes":60,"Name":"Design","UUID":"5d852206-b63f-4921-9267-12c0d95ef906"}]}},"FullJob":{"type":"object","properties":{"ApprovedQuoteId":{"type":"string","example":"Q000005"},"ApprovedQuoteUUID":{"type":"string","example":"90dd07e5-bb36-423d-ab76-5a5ead0bb852"},"Assigned":{"$ref":"#/components/schemas/FullJob_Assigned"},"Client":{"$ref":"#/components/schemas/FullJob_Client"},"ClientOrderNumber":{"type":"string","example":"ABCD1234"},"CompletedDate":{"type":"string","example":"2008-09-11T00:00:00.000Z"},"Contact":{"$ref":"#/components/schemas/FullJob_Contact"},"DateCreatedUtc":{"type":"string","example":"2008-05-11T02:09:53.000Z"},"DateModifiedUtc":{"type":"string","example":"2008-05-11T02:09:53.000Z"},"Description":{"type":"string","example":"Job Description"},"DueDate":{"type":"string","example":"2008-09-29T00:00:00.000Z"},"ID":{"type":"string","example":"J000001"},"Manager":{"$ref":"#/components/schemas/FullJob_Manager"},"Milestones":{"$ref":"#/components/schemas/FullJob_Milestones"},"Name":{"type":"string","example":"Brochure Design"},"Notes":{"$ref":"#/components/schemas/FullJob_Notes"},"Partner":{"$ref":"#/components/schemas/FullJob_Partner"},"StartDate":{"type":"string","example":"2008-08-29T00:00:00.000Z"},"State":{"type":"string","example":"In Progress"},"Tasks":{"$ref":"#/components/schemas/FullJob_Tasks"},"Type":{"type":"string","example":"Bookkeeping"},"UUID":{"type":"string","example":"355d0389-19cb-42ef-9b23-2960ca30c537"},"WebUrl":{"type":"string","example":"http://app.my.workflowmax.web/job/jobview.aspx?id=116912"}},"example":{"ApprovedQuoteId":"Q000005","ApprovedQuoteUUID":"90dd07e5-bb36-423d-ab76-5a5ead0bb852","Assigned":{"Staff":{"Name":"John Smith","UUID":"52ed22ca-4600-437c-86f6-465dda434af2"}},"Client":{"Name":"The Health Company","UUID":"691e1ea7-dca2-4d1e-a6a8-9f2dac448f8a"},"ClientOrderNumber":"ABCD1234","CompletedDate":"2008-09-11T00:00:00.000Z","Contact":{"Name":"Shelley Brio","UUID":"699b0eb6-c54d-4afc-ae3d-1da6d91ba47d"},"DateCreatedUtc":"2008-05-11T02:09:53.000Z","DateModifiedUtc":"2008-05-11T02:09:53.000Z","Description":"Job Description","DueDate":"2008-09-29T00:00:00.000Z","ID":"J000001","Manager":{"Name":"John Smith","UUID":"273817c6-18c3-407a-9d00-5e8aba80fbd3"},"Milestones":{"Milestone":{"Completed":"false","Date":"2007-09-24T00:00:00.000Z","Description":"do something by then","Folder":"Folder","UUID":"666ce060-5782-4dd0-b6f6-e0557d036bfa"}},"Name":"Brochure Design","Notes":{"Note":{"Comments":{"Comment":{"CreatedBy":"John Smith","Date":"2008-09-12T14:00:00.000Z","Text":"example comment","UUID":"7f29618e-e191-4bfd-966a-d418d489f623"}},"CreatedBy":"Jo Bloggs","Date":"2008-09-12T13:00:00.000Z","Folder":"Folder","Text":"subject of the note","Title":"note title","UUID":"56831906-5c3e-4b89-ab4b-c3acc4690ab4"}},"Partner":{"Name":"Jack Brown","UUID":"bcbf14e9-b150-4e5d-933f-f99b0d5528d2"},"StartDate":"2008-08-29T00:00:00.000Z","State":"In Progress","Tasks":{"Task":[{"ActualMinutes":100,"Assigned":{"Staff":{"AllocatedMinutes":180,"Name":"Jo Bloggs","UUID":"44ce9043-8a05-45e6-9a6b-93a7458d5734"}},"Billable":"true","Completed":"false","Description":"Description","DueDate":"2008-08029T00:00:00","EstimatedMinutes":180,"Folder":"Folder","Name":"Creative Direction","StartDate":"2008-08029T00:00:00","TaskUUID":"3c1fc167-ab62-4db7-be73-01646abc461d","UUID":"e805ed72-29d7-4897-8765-875f3461bfae"},{"ActualMinutes":100,"Assigned":{"Staff":{"AllocatedMinutes":180,"Name":"Jo Bloggs","UUID":"44ce9043-8a05-45e6-9a6b-93a7458d5734"}},"Billable":"true","Completed":"false","Description":"Description","DueDate":"2008-08029T00:00:00","EstimatedMinutes":180,"Folder":"Folder","Name":"Creative Direction","StartDate":"2008-08029T00:00:00","TaskUUID":"3c1fc167-ab62-4db7-be73-01646abc461d","UUID":"e805ed72-29d7-4897-8765-875f3461bfae"}]},"Type":"Bookkeeping","UUID":"355d0389-19cb-42ef-9b23-2960ca30c537","WebUrl":"http://app.my.workflowmax.web/job/jobview.aspx?id=116912"}},"FullJob-Milestone":{"type":"object","properties":{"Completed":{"type":"string","enum":["false","true"]},"Date":{"type":"string","example":"2007-09-24T00:00:00.000Z"},"Description":{"type":"string","example":"do something by then"},"Folder":{"type":"string"},"UUID":{"type":"string","example":"666ce060-5782-4dd0-b6f6-e0557d036bfa"}},"example":{"Completed":"false","Date":"2007-09-24T00:00:00.000Z","Description":"do something by then","Folder":"Folder","UUID":"666ce060-5782-4dd0-b6f6-e0557d036bfa"}},"FullJob-Note":{"type":"object","properties":{"Comments":{"$ref":"#/components/schemas/FullJobNote_Comments"},"CreatedBy":{"type":"string","example":"Jo Bloggs"},"Date":{"type":"string","example":"2008-09-12T13:00:00.000Z"},"Folder":{"type":"string"},"Text":{"type":"string","example":"subject of the note"},"Title":{"type":"string","example":"note title"},"UUID":{"type":"string","example":"56831906-5c3e-4b89-ab4b-c3acc4690ab4"}},"example":{"Comments":{"Comment":{"CreatedBy":"John Smith","Date":"2008-09-12T14:00:00.000Z","Text":"example comment","UUID":"7f29618e-e191-4bfd-966a-d418d489f623"}},"CreatedBy":"Jo Bloggs","Date":"2008-09-12T13:00:00.000Z","Folder":"Folder","Text":"subject of the note","Title":"note title","UUID":"56831906-5c3e-4b89-ab4b-c3acc4690ab4"}},"FullJob-NoteComment":{"type":"object","properties":{"CreatedBy":{"type":"string","example":"John Smith"},"Date":{"type":"string","example":"2008-09-12T14:00:00.000Z"},"Text":{"type":"string","example":"example comment"},"UUID":{"type":"string","example":"7f29618e-e191-4bfd-966a-d418d489f623"}},"example":{"CreatedBy":"John Smith","Date":"2008-09-12T14:00:00.000Z","Text":"example comment","UUID":"7f29618e-e191-4bfd-966a-d418d489f623"}},"FullJob-Task":{"type":"object","properties":{"ActualMinutes":{"type":"number","example":100.0},"Assigned":{"$ref":"#/components/schemas/FullJobTask_Assigned"},"Billable":{"type":"string","enum":["true","false"]},"Completed":{"type":"string","enum":["false","true"]},"Description":{"type":"string"},"DueDate":{"type":"string","example":"2008-08029T00:00:00"},"EstimatedMinutes":{"type":"number","example":180.0},"Folder":{"type":"string"},"Name":{"type":"string","example":"Creative Direction"},"StartDate":{"type":"string","description":"Only present if the task has been scheduled","example":"2008-08029T00:00:00"},"TaskUUID":{"type":"string","example":"3c1fc167-ab62-4db7-be73-01646abc461d"},"UUID":{"type":"string","example":"e805ed72-29d7-4897-8765-875f3461bfae"}},"example":{"ActualMinutes":100,"Assigned":{"Staff":{"AllocatedMinutes":180,"Name":"Jo Bloggs","UUID":"44ce9043-8a05-45e6-9a6b-93a7458d5734"}},"Billable":"true","Completed":"false","Description":"Description","DueDate":"2008-08029T00:00:00","EstimatedMinutes":180,"Folder":"Folder","Name":"Creative Direction","StartDate":"2008-08029T00:00:00","TaskUUID":"3c1fc167-ab62-4db7-be73-01646abc461d","UUID":"e805ed72-29d7-4897-8765-875f3461bfae"}},"FullJobNote_Comments":{"type":"object","properties":{"Comment":{"$ref":"#/components/schemas/FullJob-NoteComment"}},"example":{"Comment":{"CreatedBy":"John Smith","Date":"2008-09-12T14:00:00.000Z","Text":"example comment","UUID":"7f29618e-e191-4bfd-966a-d418d489f623"}}},"FullJobTask_Assigned":{"type":"object","properties":{"Staff":{"$ref":"#/components/schemas/FullJobTask_Assigned_Staff"}},"example":{"Staff":{"AllocatedMinutes":180,"Name":"Jo Bloggs","UUID":"44ce9043-8a05-45e6-9a6b-93a7458d5734"}}},"FullJobTask_Assigned_Staff":{"type":"object","properties":{"AllocatedMinutes":{"type":"number","example":180.0},"Name":{"type":"string","example":"Jo Bloggs"},"UUID":{"type":"string","example":"44ce9043-8a05-45e6-9a6b-93a7458d5734"}},"example":{"AllocatedMinutes":180,"Name":"Jo Bloggs","UUID":"44ce9043-8a05-45e6-9a6b-93a7458d5734"}},"FullJob_Assigned":{"type":"object","properties":{"Staff":{"$ref":"#/components/schemas/FullJob_Assigned_Staff"}},"example":{"Staff":{"Name":"John Smith","UUID":"52ed22ca-4600-437c-86f6-465dda434af2"}}},"FullJob_Assigned_Staff":{"type":"object","properties":{"Name":{"type":"string","example":"John Smith"},"UUID":{"type":"string","example":"52ed22ca-4600-437c-86f6-465dda434af2"}},"example":{"Name":"John Smith","UUID":"52ed22ca-4600-437c-86f6-465dda434af2"}},"FullJob_Client":{"type":"object","properties":{"Name":{"type":"string","example":"The Health Company"},"UUID":{"type":"string","example":"691e1ea7-dca2-4d1e-a6a8-9f2dac448f8a"}},"example":{"Name":"The Health Company","UUID":"691e1ea7-dca2-4d1e-a6a8-9f2dac448f8a"}},"FullJob_Contact":{"type":"object","properties":{"Name":{"type":"string","example":"Shelley Brio"},"UUID":{"type":"string","example":"699b0eb6-c54d-4afc-ae3d-1da6d91ba47d"}},"example":{"Name":"Shelley Brio","UUID":"699b0eb6-c54d-4afc-ae3d-1da6d91ba47d"}},"FullJob_Manager":{"type":"object","properties":{"Name":{"type":"string","example":"John Smith"},"UUID":{"type":"string","example":"273817c6-18c3-407a-9d00-5e8aba80fbd3"}},"example":{"Name":"John Smith","UUID":"273817c6-18c3-407a-9d00-5e8aba80fbd3"}},"FullJob_Milestones":{"type":"object","properties":{"Milestone":{"$ref":"#/components/schemas/FullJob-Milestone"}},"example":{"Milestone":{"Completed":"false","Date":"2007-09-24T00:00:00.000Z","Description":"do something by then","Folder":"Folder","UUID":"666ce060-5782-4dd0-b6f6-e0557d036bfa"}}},"FullJob_Notes":{"type":"object","properties":{"Note":{"$ref":"#/components/schemas/FullJob-Note"}},"example":{"Note":{"Comments":{"Comment":{"CreatedBy":"John Smith","Date":"2008-09-12T14:00:00.000Z","Text":"example comment","UUID":"7f29618e-e191-4bfd-966a-d418d489f623"}},"CreatedBy":"Jo Bloggs","Date":"2008-09-12T13:00:00.000Z","Folder":"Folder","Text":"subject of the note","Title":"note title","UUID":"56831906-5c3e-4b89-ab4b-c3acc4690ab4"}}},"FullJob_Partner":{"type":"object","properties":{"Name":{"type":"string","example":"Jack Brown"},"UUID":{"type":"string","example":"bcbf14e9-b150-4e5d-933f-f99b0d5528d2"}},"example":{"Name":"Jack Brown","UUID":"bcbf14e9-b150-4e5d-933f-f99b0d5528d2"}},"FullJob_Tasks":{"type":"object","properties":{"Task":{"type":"array","items":{"$ref":"#/components/schemas/FullJob-Task"}}},"example":{"Task":[{"ActualMinutes":100,"Assigned":{"Staff":{"AllocatedMinutes":180,"Name":"Jo Bloggs","UUID":"44ce9043-8a05-45e6-9a6b-93a7458d5734"}},"Billable":"true","Completed":"false","Description":"Description","DueDate":"2008-08029T00:00:00","EstimatedMinutes":180,"Folder":"Folder","Name":"Creative Direction","StartDate":"2008-08029T00:00:00","TaskUUID":"3c1fc167-ab62-4db7-be73-01646abc461d","UUID":"e805ed72-29d7-4897-8765-875f3461bfae"},{"ActualMinutes":100,"Assigned":{"Staff":{"AllocatedMinutes":180,"Name":"Jo Bloggs","UUID":"44ce9043-8a05-45e6-9a6b-93a7458d5734"}},"Billable":"true","Completed":"false","Description":"Description","DueDate":"2008-08029T00:00:00","EstimatedMinutes":180,"Folder":"Folder","Name":"Creative Direction","StartDate":"2008-08029T00:00:00","TaskUUID":"3c1fc167-ab62-4db7-be73-01646abc461d","UUID":"e805ed72-29d7-4897-8765-875f3461bfae"}]}},"HistoryItem":{"type":"object","properties":{"Date":{"type":"string","example":"2008-09-12T13:00:00.000Z"},"Detail":{"type":"string","example":"Created by Jo Bloggs"},"Staff":{"type":"string","example":"Jo Bloggs"},"Type":{"type":"string","example":"Lead"}},"example":{"Date":"2008-09-12T13:00:00.000Z","Detail":"Created by Jo Bloggs","Staff":"Jo Bloggs","Type":"Lead"}},"Invoice":{"type":"object","properties":{"Amount":{"type":"number","example":200.0},"AmountIncludingTax":{"type":"number","example":225.0},"AmountOutstanding":{"type":"number","example":125.0},"AmountPaid":{"type":"number","example":100.0},"AmountTax":{"type":"number","example":25.0},"Client":{"$ref":"#/components/schemas/FullInvoice_Client"},"Contact":{"$ref":"#/components/schemas/FullInvoice_Contact"},"Date":{"type":"string","example":"2007-09-12T00:00:00.000Z"},"DueDate":{"type":"string","example":"2007-09-22T00:00:00.000Z"},"ID":{"type":"string","example":"I000123"},"JobText":{"type":"string","example":"J000123"},"Status":{"type":"string","enum":["Approved","Paid","Draft","Cancelled"]},"Type":{"type":"string","example":"Progress Invoice"},"UUID":{"type":"string","example":"e873137a-7e07-49a0-8987-130e7418ad34"}},"example":{"Amount":200,"AmountIncludingTax":225,"AmountOutstanding":125,"AmountPaid":100,"AmountTax":25,"Client":{"Name":"A C Smith Limited","UUID":"9298fafa-f1a4-494d-b62a-35aae4c7bb3e"},"Contact":{"Name":"Andy Smith","UUID":"5d852206-b63f-4921-9267-12c0d95ef906"},"Date":"2007-09-12T00:00:00.000Z","DueDate":"2007-09-22T00:00:00.000Z","ID":"I000123","JobText":"J000123","Status":"Approved","Type":"Progress Invoice","UUID":"e873137a-7e07-49a0-8987-130e7418ad34"}},"Job":{"type":"object","properties":{"ClientOrderNumber":{"type":"string"},"Costs":{"$ref":"#/components/schemas/DetailedQuote_Costs"},"Description":{"type":"string"},"ID":{"type":"string","example":"J000345"},"Name":{"type":"string","example":"Brochure Design"},"Tasks":{"$ref":"#/components/schemas/FullInvoice_Tasks"}},"example":{"ClientOrderNumber":"ClientOrderNumber","Costs":{"Cost":[{"Amount":50,"AmountIncludingTax":56.25,"AmountTax":6.25,"Billable":true,"Code":"COURIER","Description":"Co
[...]
